#### 简要描述：

- 查询单个单据

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|v2 |李磊  |2019-04-23 |  2019-04-23 |

#### 请求URL:

- /co/document/v2/get

#### 请求方式：

- GET

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|uuid |是  |string |单据uuid   |

#### 返回示例:

**正确时返回:**

```
{
	"status": {
		"returnCode": "200"
	},
	"body": {
		"AccountingCustomerParty": {
			"FinancialAccount": null,
			"ID": null,
			"Name": "苹果电子产品商贸（北京）有限公司重庆北城天街分公司",
			"PartyIdentification": "123",
			"PartyName": "苹果电子产品商贸（北京）有限公司重庆北城天街分公司",
			"Person": null,
			"PostalAddress": "重庆市渝中区华盛路1号企业天地8号楼33层1、2、3、4单元,023-89038567",
			"Telephone": {
				"ID": null,
				"Name": null,
				"Phone": "重庆市渝中区华盛路1号企业天地8号楼33层1、2、3、4单元,023-89038567"
			}
		},
		"AccountingSupplierParty": {
			"FinancialAccount": "",
			"ID": "62b03222-54ec-4c65-af5f-55049445ff1f",
			"Name": "兰馨谷开票测试",
			"PartyIdentification": "310106666888888",
			"PartyName": "兰馨谷开票测试",
			"Person": "张三",
			"PostalAddress": "123,321",
			"Telephone": {
				"ID": null,
				"Name": null,
				"Phone": "123,321"
			}
		},
		"AuthDate": null,
		"AuthMethod": null,
		"AuthType": null,
		"BrandModel": null,
		"CertificateNumber": null,
		"CheckCode": null,
		"CheckStatus": null,
		"CheckTime": null,
		"CommodityInspectionNumber": null,
		"ConformityStatus": null,
		"ContractDocumentReference": null,
		"Deduction": null,
		"DespatchDocumentReference": null,
		"DocumentCreateParty": 1,
		"DocumentType": "Invoice",
		"Drawback": null,
		"EngineNumber": null,
		"HasStamp": null,
		"ID": "INV2019042300005",
		"ImportIDNumber": null,
		"InvoiceCode": null,
		"InvoiceNumber": null,
		"InvoiceTypeCode": "01",
		"IssueDate": 1555983282714,
		"IssueFailureReason": null,
		"IssueStatus": 0,
		"IssuerParty": {
			"PartyName": {
				"Name": {
					"value": null
				}
			}
		},
		"LegalMonetaryTotal": {
			"LineExtensionAmount": 100,
			"TaxExclusiveAmount": 6,
			"TaxInclusiveAmount": 106
		},
		"Lines": [{
				"BuyersProductID": null,
				"Discount": null,
				"DispatchDocumentReference": null,
				"DispatchLineReference": "12313123",
				"DocumentReference": null,
				"DueDateOfPassage": null,
				"ID": "792934159126364160",
				"Item": {
					"AdditionalItemProperty": null,
					"BuyersItemIdentification": null,
					"BuyersItemModelName": null,
					"BuyersItemName": null,
					"Description": null,
					"ItemModelName": "----",
					"ItemName": null,
					"ModelName": null,
					"Name": null,
					"PackQuantity": 1,
					"QuantityUnitCode": {
						"unitCode": "--",
						"value": 1
					},
					"SellersItemIdentification": null,
					"SellersItemName": null
				},
				"LineExtensionAmount": 100,
				"LineID": null,
				"LineReference": null,
				"MainUUIDReference": null,
				"OrderLineReference": null,
				"OrderReference": null,
				"PlateNumber": null,
				"Price": 100,
				"PriceAmount": 106,
				"ReceiptDocumentReference": null,
				"ReceiptLineReference": null,
				"ReconciliationDocumentReference": null,
				"ReconciliationSheetLineReference": "792934150536429569",
				"RelationReferences": null,
				"SellersProductID": null,
				"StartDateOfPassage": null,
				"TaxClassificationCode": "",
				"TaxInclusiveAmount": 106,
				"TaxTotal": {
					"TaxAmount": null,
					"TaxSubtotal": {
						"TaxAmount": {
							"currencyID": null,
							"value": 6
						},
						"TaxCategory": {
							"Percent": {
								"currencyID": null,
								"value": 6
							}
						}
					}
				},
				"VehicleType": null
			}
		],
		"MachineCode": null,
		"NonconformityReason": "null的税收分类编码为空",
		"Note": "测试#GLDJ{12313123}",
		"OrderReference": null,
		"OriginatorDocumentReference": {
			"ID": "RID1231312300030"
		},
		"PayeeParty": {
			"PartyName": {
				"Name": {
					"value": "李四"
				}
			}
		},
		"PaymentMeans": "平安银行股份有限公司重庆嘉华支行,15000064942475",
		"PlaceOfOrigin": null,
		"ReceiptDocumentReference": null,
		"ReconciliationSheetReference": {
			"ID": null
		},
		"RelationReferences": null,
		"SeatingCapacity": null,
		"TaxAuthStatus": null,
		"TaxAuthorityCode": null,
		"TaxAuthorityName": null,
		"TaxPaymentCertificateNumber": null,
		"TaxRate": null,
		"TaxStatus": null,
		"Tonnage": null,
		"VehicleIdentificationNumber": null,
		"VehicleType": null,
		"ZeroTaxType": null,
		"diffComparisonLines": [],
		"Attachments": [],
		"LineRelationReferences": [],
		"RejectReason": ""
	},
	"ok": true
}
```

**错误时返回:**


```
{
	"status": {
		"time": 1555989593812,
		"returnCode": "500",
		"message": "单据不存在",
		"serviceCode": "common-service"
	},
	"body": null,
	"ok": false
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|----- |
|无|object|单据信息|