#### 简要描述：

- 查询多个单据

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|v2 |李磊  |2019-04-23 |  2019-04-23 |

#### 请求URI:

- /co/document/v2/query

#### 请求方式：

- POST

#### 请求参数:
| 参数名称  | 参数类型  | 示例值  |  备注 |
| ------------ | ------------ | ------------ | ------------ |
|role|array|Buyer,Seller|角色 |
|documentType|array|Contract,ReceiptAdviceRATC01,Order|文档类型 |
|status|array|REJECTED,SENT|单据状态 |
|issueDateBegin|number|1555948800000| |
|issueDateEnd|number|1555948800000| |
|lastModifyTimeBegin|number|1555948800000| |
|lastModifyTimeEnd|number|1555948800000| |
|isArchived|boolean|false| 存档状态 |
|pageNum|number|1|第几页 |
|pageSize|number|20| 每页几条数据|

#### 返回示例:

**正确时返回:**

```
{
	"status": {
		"returnCode": "200"
	},
	"body": {
		"pageMeta": {
			"pageNum": 1,
			"pageSize": 1,
			"total": 563,
			"pages": 29
		},
		"items": [{
				"documentUUID": "d107f434-b536-4467-ba78-103c2c2d62e4",
				"tenantID": "bb15da22-b890-4ceb-b830-d42c3676a896",
				"documentID": "INV2019042300001",
				"issueDate": 1528214400000,
				"createTime": 1556011234777,
				"lastModifyTime": 1556011235809,
				"documentType": "Invoice",
				"actualDocumentType": "VatSpecial",
				"status": "ISSUED",
				"allowedTargetStatus": ["CANCELED"],
				"role": "Seller",
				"counterpartyUUID": null,
				"counterparty": "长安福特汽车有限公司",
				"sender": "重庆大江东阳塑料制品有限公司",
				"receiver": "长安福特汽车有限公司",
				"isArchived": false,
				"isSenderParty": true,
				"refDocumentUUID": null,
				"mainUUID": "37d1e501-db17-4f4c-8c5f-0edc196720fa",
				"senderId": "bb15da22-b890-4ceb-b830-d42c3676a896",
				"receiverId": null,
				"consultId": null,
				"consultStatus": null
			}
			//后面数据省略
		]
	},
	"ok": true
}

```

**错误时返回:**


```
{
	"time": 1556008575786,
	"returnCode": "00102",
	"message": "request valid parameter error ",
	"description": "token需要包含gUserId信息",
	"path": "/co/document/v2/create",
	"serviceCode": "common-service.document-biz-3legged"
}
```

#### 返回items参数说明:
| 参数名称  | 参数类型  | 示例值  |  备注 |
| ------------ | ------------ | ------------ | ------------ |
|documentUUID|string|39499bff-2d73-4feb-9768-d2d4278c0a2e| |
|tenantID|string|bb15da22-b890-4ceb-b830-d42c3676a896| |
|documentID|string|测试---d| |
|issueDate|number|1553316480000| |
|createTime|number|1553316623269| |
|lastModifyTime|number|1554606926508| |
|documentType|string|ForecastDemand| |
|actualDocumentType|string|ForecastDemand| |
|status|string|SENT| |
|allowedTargetStatus|array|CANCEL_REQUESTING| |
|role|string|Buyer| |
|counterpartyUUID|string|0028c689-b89d-4692-a74e-03fb9f188b54| |
|counterparty|string|接收方测试公司1| |
|sender|string|北京天宏迅联智慧网络科技有限公司| |
|receiver|string|接收方测试公司1| |
|isArchived|boolean|false| |
|isSenderParty|boolean|true| |
|refDocumentUUID|object|null| |
|mainUUID|string|17e5baeb-683a-4ae1-83d3-b95ca0e20348| |
|senderId|string|bb15da22-b890-4ceb-b830-d42c3676a896| |
|receiverId|string|0028c689-b89d-4692-a74e-03fb9f188b54| |
|consultId|object|null| |
|consultStatus|object|null| |