#### 简要描述：

- 查询单据信息

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|v2 |李磊  |2019-04-24 |  2019-04-24 |

#### 请求URI:

- /co/document/v2/info/get

#### 请求方式：

- GET

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|uuid |是  |string |单据uuid|   |


#### 返回示例:

**正确时返回:**

```
{
	"status": {
		"returnCode": "200"
	},
	"body": {
		"documentUUID": "3ffedf83-39af-4ec8-aa44-e5969754d2b6",
		"tenantID": "bb15da22-b890-4ceb-b830-d42c3676a896",
		"documentID": "123111aaa",
		"issueDate": 1555901160000,
		"createTime": 1555901423758,
		"lastModifyTime": 1556071522581,
		"documentType": "Order",
		"actualDocumentType": "Order",
		"status": "SENT",
		"allowedTargetStatus": ["CANCEL_REQUESTING"],
		"role": "Buyer",
		"counterpartyUUID": "e666636d-f8d0-471d-8d97-3ebe2814f31d",
		"counterparty": "重庆燃气集团有限公司",
		"sender": "北京天宏迅联智慧网络科技有限公司",
		"receiver": "重庆燃气集团有限公司",
		"isArchived": false,
		"isSenderParty": true,
		"refDocumentUUID": null,
		"mainUUID": "d52a0dd1-7d82-4e6c-9192-8ba42315bbdf",
		"senderId": "bb15da22-b890-4ceb-b830-d42c3676a896",
		"receiverId": "e666636d-f8d0-471d-8d97-3ebe2814f31d",
		"consultId": null,
		"consultStatus": null
	},
	"ok": true
}
```

**错误时返回:**


```
{
	"status": {
		"time": 1556071347499,
		"returnCode": "500",
		"message": "单据不存在",
		"serviceCode": "common-service"
	},
	"body": null,
	"ok": false
}
```

#### 返回参数说明:
| 参数名称  | 参数类型  | 示例值  |  备注 |
| ------------ | ------------ | ------------ | ------------ |
|documentUUID|string|3ffedf83-39af-4ec8-aa44-e5969754d2b6| |
|tenantID|string|bb15da22-b890-4ceb-b830-d42c3676a896| |
|documentID|string|123111aaa| |
|issueDate|number|1555901160000| |
|createTime|number|1555901423758| |
|lastModifyTime|number|1556071522581| |
|documentType|string|Order| |
|actualDocumentType|string|Order| |
|status|string|SENT| |
|allowedTargetStatus|array|CANCEL_REQUESTING| |
|role|string|Buyer| |
|counterpartyUUID|string|e666636d-f8d0-471d-8d97-3ebe2814f31d| |
|counterparty|string|重庆燃气集团有限公司| |
|sender|string|北京天宏迅联智慧网络科技有限公司| |
|receiver|string|重庆燃气集团有限公司| |
|isArchived|boolean|false| |
|isSenderParty|boolean|true| |
|refDocumentUUID|object|null| |
|mainUUID|string|d52a0dd1-7d82-4e6c-9192-8ba42315bbdf|主线uuid |
|senderId|string|bb15da22-b890-4ceb-b830-d42c3676a896|发送方 |
|receiverId|string|e666636d-f8d0-471d-8d97-3ebe2814f31d| 接收方|
|consultId|object|null|单据协商内容id |
|consultStatus|object|null| 单据协商状态|