#### 简要描述：

- 查询草稿状态的单据

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|v2       |李磊 |2019-4-23|2019-04-23 |

#### 请求URL:

- /co/document/v2/ui/draft/get

#### 请求方式：

- GET


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|docType |是  |string |单据类型   |
|targetParty |否  |string ||   |


#### 返回示例:

**正确时返回:**

```json
{
	"status": {
		"returnCode": "200"
	},
	"body": {
		"doc": {
			"123": null,
			"DocumentType": "Order",
			"ID": "",
			"DocumentCurrencyCode": "CNY",
			"IssueDate": 1556078227900,
			"BuyerCustomerParty": {
				"ID": "bb15da22-b890-4ceb-b830-d42c3676a855",
				"Name": "深圳天宏迅联科技发展有限公司22",
				"PostalAddress": null,
				"FinancialAccount": null,
				"PartyIdentification": null,
				"PartyName": null,
				"Telephone": null,
				"Person": null
			},
			"BuyerContact": {
				"ID": null,
				"Name": "幸禹可",
				"Phone": null
			},
			"SellerSupplierParty": {
				"ID": null,
				"Name": null,
				"PostalAddress": null,
				"FinancialAccount": null,
				"PartyIdentification": null,
				"PartyName": null,
				"Telephone": null,
				"Person": null
			},
			"SellerContact": {
				"ID": null,
				"Name": null,
				"Phone": null
			},
			"RequestedDeliveryPeriod": {
				"StartDate": null,
				"EndDate": null
			},
			"Total": "0.00",
			"PaymentMeans": "PMZ01",
			"Note": "",
			"DeliveryAddress": {
				"Country": "CHN",
				"CanonicalCountry": "CN",
				"CountrySubentity": null,
				"CityName": null,
				"AddressLine": null
			},
			"DeliveryContact": {
				"ID": null,
				"Name": null,
				"Phone": null
			},
			"Lines": [{
					"DocumentReference": null,
					"LineReference": null,
					"ID": null,
					"Name": null,
					"ModelName": null,
					"Description": null,
					"BuyersProductID": null,
					"BuyersItemIdentification": null,
					"BuyersItemName": null,
					"BuyersItemModelName": null,
					"SellersProductID": null,
					"SellersItemIdentification": null,
					"SellersItemName": null,
					"SellersItemModelName": null,
					"UnitCode": "TNE",
					"Quantity": null,
					"Price": null,
					"BaseQuantity": 1,
					"TaxRate": 0,
					"LineExtensionAmount": "0.00",
					"RelationReferences": null,
					"3nj": null,
					"LineExtra5": null
				}
			],
			"Attachments": [],
			"RelationReferences": null,
			"RejectReason": null,
			"ddd": null,
			"LineExtra1": null,
			"sss": null
		},
		"rules": {
			"Extra": {
				"123": {
					"configGroupUUID": "5b74e628-d27c-4f01-a278-58e08a3a1693",
					"configUUID": "a657b4b8-ac74-456e-b80b-e3543c896e1b",
					"fieldName": "123",
					"displayText": "123",
					"description": null,
					"isRequired": true,
					"isVisible": true,
					"fieldType": "DocField",
					"inputType": "TEXT",
					"selectOptions": null,
					"regex": null,
					"invalidTip": null,
					"regexDescription": null,
					"type": 2,
					"jsonPath": "$.123",
					"newVerifyRules": [{
							"functionUUID": "5973f1aa-43fc-454b-af8f-33af6a5e0c90",
							"description": "",
							"params": {
								"ad": "gte;eq;lte"
							},
							"checkType": "CONTROL",
							"errorMessage": "ddd"
						}
					]
				},
				"ddd": {
					"configGroupUUID": "5b74e628-d27c-4f01-a278-58e08a3a1693",
					"configUUID": "3467ea97-edea-4f8b-bbe9-c2999156cc7e",
					"fieldName": "ddd",
					"displayText": "aaa",
					"description": null,
					"isRequired": true,
					"isVisible": true,
					"fieldType": "DocField",
					"inputType": "TEXT",
					"selectOptions": null,
					"regex": null,
					"invalidTip": null,
					"regexDescription": null,
					"type": 0,
					"jsonPath": null,
					"newVerifyRules": []
				},
				"LineExtra1": {
					"configGroupUUID": "5b74e628-d27c-4f01-a278-58e08a3a1693",
					"configUUID": "cc89dfb3-3bcf-4832-bc70-664d51f6f73d",
					"fieldName": "LineExtra1",
					"displayText": "显示字符",
					"description": "描述",
					"isRequired": true,
					"isVisible": true,
					"fieldType": "DocField",
					"inputType": "TEXT",
					"selectOptions": null,
					"regex": "^\\w+$",
					"invalidTip": "line-extra1输入非法",
					"regexDescription": "字段名称regex",
					"type": 2,
					"jsonPath": "$.LineExtra1",
					"newVerifyRules": null
				},
				"sss": {
					"configGroupUUID": "5b74e628-d27c-4f01-a278-58e08a3a1693",
					"configUUID": "681d7f5a-087a-41e7-a1d0-efce0ccbeeed",
					"fieldName": "sss",
					"displayText": "sss",
					"description": null,
					"isRequired": true,
					"isVisible": true,
					"fieldType": "DocField",
					"inputType": "TEXT",
					"selectOptions": null,
					"regex": null,
					"invalidTip": null,
					"regexDescription": null,
					"type": 1,
					"jsonPath": null,
					"newVerifyRules": []
				}
			},
			"Lines": {
				"Extra": {
					"3nj": {
						"configGroupUUID": "5b74e628-d27c-4f01-a278-58e08a3a1693",
						"configUUID": "282a8400-a460-4ac8-89e7-d6730287b7e5",
						"fieldName": "3nj",
						"displayText": "状态变1",
						"description": null,
						"isRequired": false,
						"isVisible": true,
						"fieldType": "LineField",
						"inputType": "TEXT",
						"selectOptions": null,
						"regex": "/^.{0,10}$/",
						"invalidTip": "10字符",
						"regexDescription": null,
						"type": 2,
						"jsonPath": "$.3nj",
						"newVerifyRules": null
					},
					"LineExtra5": {
						"configGroupUUID": "5b74e628-d27c-4f01-a278-58e08a3a1693",
						"configUUID": "2141ce20-dea6-4945-98ca-57c9fcff5caf",
						"fieldName": "LineExtra5",
						"displayText": "显示字符",
						"description": "描述",
						"isRequired": true,
						"isVisible": true,
						"fieldType": "LineField",
						"inputType": "TEXT",
						"selectOptions": null,
						"regex": "^\\w+$",
						"invalidTip": "line-extra5输入非法",
						"regexDescription": "字段名称regex",
						"type": 2,
						"jsonPath": "$.LineExtra5",
						"newVerifyRules": null
					}
				}
			}
		}
	},
	"ok": true
}
```

**错误时返回:**

```
{
	"status": {
		"time": 1556087359035,
		"returnCode": "500",
		"message": "获取企业信息失败",
		"serviceCode": "common-service"
	},
	"body": null,
	"ok": false
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|doc |object   |文档信息  |
|rules |object   |字典字段校验规则信息  |
|rules.Extra |object   |  |
|rules.Lines |object   |  |