#### 简要描述：

- 查询单据
  本接口会自动转换老的单据信息

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|v2 |李磊  |2019-04-24 |  2019-04-24 |

#### 请求URL:

- /co/document/v2/get-patch

#### 请求方式：

- GET

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|uuid |是  |string |单据uuid   |

#### 返回示例:

**正确时返回:**

```
{
	"status": {
		"returnCode": "200"
	},
	"body": {
		"DocumentType": "Order",
		"ID": "123111aaa",
		"IssueDate": 1555901160000,
		"DocumentCurrencyCode": "CNY",
		"BuyerCustomerParty": {
			"ID": "bb15da22-b890-4ceb-b830-d42c3676a896",
			"Name": "北京天宏迅联智慧网络科技有限公司",
			"PostalAddress": null,
			"FinancialAccount": null,
			"PartyIdentification": null,
			"PartyName": null,
			"Telephone": null,
			"Person": null
		},
		"BuyerContact": {
			"ID": "05059991-673a-4e54-ac03-ae10fc45402c",
			"Name": "李磊",
			"Phone": null
		},
		"SellerSupplierParty": {
			"ID": "e666636d-f8d0-471d-8d97-3ebe2814f31d",
			"Name": "重庆燃气集团有限公司",
			"PostalAddress": null,
			"FinancialAccount": null,
			"PartyIdentification": null,
			"PartyName": null,
			"Telephone": null,
			"Person": null
		},
		"SellerContact": {
			"ID": "",
			"Name": null
		},
		"RequestedDeliveryPeriod": {},
		"Lines": [{
				"DocumentReference": null,
				"LineReference": null,
				"ID": null,
				"Name": null,
				"ModelName": null,
				"Description": null,
				"BuyersProductID": null,
				"BuyersItemIdentification": null,
				"BuyersItemName": null,
				"BuyersItemModelName": null,
				"SellersProductID": null,
				"SellersItemIdentification": null,
				"SellersItemName": null,
				"SellersItemModelName": null,
				"UnitCode": "EA",
				"Quantity": 12,
				"Price": null,
				"BaseQuantity": 1,
				"TaxRate": "0",
				"LineExtensionAmount": "0.00",
				"SourceReferences": null
			}
		],
		"Total": "0.00",
		"PaymentMeans": "PMZ01",
		"Note": "",
		"DeliveryAddress": {
			"Country": "CHN",
			"AddressLine": null
		},
		"DeliveryContact": {
			"Name": null,
			"Phone": null
		},
		"Attachments": [],
		"LineRelationReferences": [],
		"RejectReason": "",
		"OrderNumber": "123111aaa"
	},
	"ok": true
}
```

**错误时返回:**


```
{
  "status": {
    "time": 1556090070188,
    "returnCode": "500",
    "message": "单据不存在",
    "serviceCode": "common-service"
  },
  "body": null,
  "ok": false
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|----- |
|无|object|经过转换后的单据信息|