# 接口协议

<b style="color:red">注：接口协议使用HTTPS协议。字符编码统一采用utf-8。</b>

## HTTP 返回码


只要进了开放平台业务，一般返回200的HTTP Code，返回其他HTTP Code一般代表非业务性错误.

| Code  | 描述  | 备注  |
| ------------ | ------------ | ------------ |
| 200  | 业务正常返回  | 业务异常,也返回200  |
| 500  | 内部提供错误  |   |
| 404  | 没有此接口     |   |

## HTTP Response Body

- 响应结构

```json
{
	"body":null,
	"ok":false,
	"status":{
		"description":"",
		"message":"",
		"path":"",
		"returnCode":"",
		"serviceCode":"",
		"time":1554693072112
	}
}
```

- 结构注解

| Key  | 类型  | 必有  | 描述  |
| ------------ | ------------ | ------------ | ------------ |
| body  | object  | N  | 一般情况下只有业务正常成功才会有结果  |
| ok  | bool  |  Y | 业务是否成功，true表示成功，false表示失败  |
| status | object | 具体状态，如果为true，大部分子参数为空 |
| status.description | string | N | 状态描述，失败时必有 |
| status.message | string | N | 状态简述，失败时必有 |
| status.returnCode | string | N | 业务状态码，失败时必有 |
| status.serviceCode | string | N | 服务码，失败时必有 |
| status.time | long | N | 时间戳 |



- 正常返回body实例

```json
{
    "status": {
        "returnCode": "200"
    },
    "body": {
        "userId": "cc15da22-b890-4ceb-b830-d42c3676a897",
        "nickName": "bbbbb",
        "companyId": "bb15da22-b890-4ceb-b830-d42c3676a896",
        "companyName": "北京天宏迅联智慧网络科技有限公司",
        "email": "xxx@xxx.comm",
        "phone": "1111111111",
        "departmentId": "b656694d-8ac2-4366-aed7-7f836e0af5d8",
        "departmentName": "测试部门",
        "description": "bbb"
    },
    "ok": true
}
```



- 异常返回body实例


```json
{
    "ok": false,
    "status": {
        "description": "无应用实例信息",
        "message": "The company has not installed the application",
        "path": "/open-platform/auth/two-legged/check",
        "returnCode": "100007",
        "serviceCode": "open-platform-auth.auth-core",
        "time": 1554693550228
    }
}
```