## 总览

![](/uploads/biz-3legged/images/m_b5ac6246f3a02ad7a51f9cb443a0da75_r.png)

## OAuth 2.0 授权码流程，获取token


### 第一步：用户同意授权，获取code

//app-auth.kingxunlian.com?client_id=xxxx&response_type=xxxxx&scope=xxxxxx&state=xxxxx&redirect_uri=xxxxx

- 参数说明

|  参数名 | 是否必填  | 备注  |   |
| ------------ | ------------ | ------------ | ------------ |
| client_id  | 必填  | appKey  |   |
| response_type  |  必填 | 当前只允许传入 'code'，即授权码模式  | |
| scope | 非必填 | 申请的权限范围（oauth2保留字段）|
| state  | 非必填 | 客户端当前状态 (oauth2保留字段)  |
| redirect_uri | 必填 | 跳转回调，且地址必须属于应用主域 |


授权成功页面将跳转至 redirect_uri/?code=CODE&state=STATE

- 参数名说明

| 参数名  | 备注  |   |   |
| ------------ | ------------ | ------------ | ------------ |
| code  | 作为换取access_token的票据，每次用户授权带上的code将不一样，code只能使用一次，10秒未被使用自动过期  |   |   |
| state  |  客户端当前状态，返回请求传入的state |   |   |





### 第二步：通过code换取网页授权access_token

获取code后，请求以下链接获取access_token：

POST /open-platform/auth/oauth2/access-token   

- 参数名说明

| 参数名  | 是否必填  | 备注  |   |
| ------------ | ------------ | ------------ | ------------ |
| grant_type  | 必填  | 当前只允许传入 'authorization_code'  |   |
| code  | 必填  | 第一步返回的code  |   |
| client_id | 必填 | appKey | |
| client_secret | 必填 | appSecret，应用密钥 ||



### 三、OAuth 2.0 通过接口操作用户资源


接下来将以一个例子，说明如何通过OAuth 2.0 3-Legged方式访问API

访问例子接口：GET https://api.dev.kingxunlian.com/plat/company/current-user/get

<hr/>

#### 第一步：组装生成Header

| Key  | Value  | 备注  |   |
| ------------ | ------------ | ------------ | ------------ |
| Authorization  |  "Bearer " + access_token | 注意空格  |   |


#### 第二步：发送请求，并得到结果