#### 简要描述：

- 单个app的消息列表

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|无       |黄波 |2019-05-22|2019-05-22|

#### 请求URL:

- /co/message/notify/app-message-list

#### 请求方式：

- GET


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|appKey|是|String|appkey|
|pageSize|是|Integer|分页条数|
|pageNum|是|Integer|分页页码|

#### 返回示例:

**正确时返回:**

```
{
  "body": {
    "items": [
      {
        "companyLogoUrl": null,
        "companyName": "兰馨谷开票测试",
        "createTime": 1558571162000,
        "messageAbstract": "【秀娟】【helen-API-Sup1558571103877】",
        "messageId": "e84d8961-992b-4372-8f6c-1227eed4796b",
        "messageTitle": "【对账单】20190523",
        "readState": 0
      },
      {
        "companyLogoUrl": null,
        "companyName": "兰馨谷开票测试",
        "createTime": 1558571129000,
        "messageAbstract": "【秀娟】【helen20190523122528AB1-5】",
        "messageId": "76369b40-6771-4d7c-a359-08c368bbcd52",
        "messageTitle": "【对账单】20190523",
        "readState": 0
      },
      {
        "companyLogoUrl": null,
        "companyName": "兰馨谷开票测试",
        "createTime": 1558571127000,
        "messageAbstract": "【秀娟】【helen_Despatch_20190523080527AB_847】",
        "messageId": "ac82833a-4e8d-483a-9332-c8144437f167",
        "messageTitle": "【发货单】20190523",
        "readState": 0
      },
      {
        "companyLogoUrl": null,
        "companyName": "兰馨谷开票测试",
        "createTime": 1558571106000,
        "messageAbstract": "【秀娟】【helen_Despatch_20190523080505AB_868】",
        "messageId": "fc5f58b5-3ce5-4299-9ff3-c0ed73d83b5a",
        "messageTitle": "【发货单】20190523",
        "readState": 0
      },
      {
        "companyLogoUrl": null,
        "companyName": "兰馨谷开票测试",
        "createTime": 1558484762000,
        "messageAbstract": "【秀娟】【helen-API-Sup1558484703871】",
        "messageId": "5cc6f733-d1dc-4fc7-8d59-0fd040beb041",
        "messageTitle": "【对账单】20190522",
        "readState": 1
      },
      {
        "companyLogoUrl": null,
        "companyName": "兰馨谷开票测试",
        "createTime": 1558484729000,
        "messageAbstract": "【秀娟】【helen20190522122528AB1-5】",
        "messageId": "4b4acffc-690b-412f-a31c-cc4630e7f768",
        "messageTitle": "【对账单】20190522",
        "readState": 1
      },
      {
        "companyLogoUrl": null,
        "companyName": "兰馨谷开票测试",
        "createTime": 1558484727000,
        "messageAbstract": "【秀娟】【helen_Despatch_20190522080526AB_846】",
        "messageId": "9388d655-2641-432b-bc1f-81716e939509",
        "messageTitle": "【发货单】20190522",
        "readState": 1
      },
      {
        "companyLogoUrl": null,
        "companyName": "兰馨谷开票测试",
        "createTime": 1558484706000,
        "messageAbstract": "【**】【helen_Despatch_20190522080505AB_822】",
        "messageId": "223ea2af-85d8-4b8d-b5b1-9eebe9bcdc59",
        "messageTitle": "【**】20190522",
        "readState": 1
      },
      {
        "companyLogoUrl": null,
        "companyName": "**aa",
        "createTime": 1558421533000,
        "messageAbstract": "【wuyuwei】【hailan-合同05211452】",
        "messageId": "ac9cb4e2-419f-4c55-badf-c53fda99463c",
        "messageTitle": "【**】20190521",
        "readState": 1
      },
      {
        "companyLogoUrl": null,
        "companyName": "兰馨谷***",
        "createTime": 1558398363000,
        "messageAbstract": "【**】【helen-API-Sup1558398303860】",
        "messageId": "88de427e-3e02-4ad1-957c-2d7b19c4e317",
        "messageTitle": "【**】20190521",
        "readState": 1
      }
    ],
    "pageMeta": {
      "pageNum": 1,
      "pageSize": 10,
      "pages": 541,
      "total": 5403
    }
  },
  "ok": true,
  "status": {
    "description": null,
    "message": null,
    "path": null,
    "returnCode": "200",
    "serviceCode": null,
    "time": null
  }
}

```

**错误时返回:**


#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|messageId|String|消息id|
|companyName|Long|消息发送公司名称|
|companyLogoUrl|String|消息发送公司logo|
|messageTitle|String|消息标题|
|messageAbstract|String|消息该要|
|readState|Integer|消息状态 -1-删除  1-已读 0-未读|
|createTime|Date|消息发布时间|