#### 简要描述：

- 查询当前公司用户列表

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|无       |李磊 |2019-5-6|2019-5-6|

#### 请求URL:

- /plat/company/current-company/user/query-paged

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求示例：
POST /plat/company/current-company/user/query-paged

```
{
  "pageNum": 1,
  "pageSize": 2
}
```

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|pageNum|否|int|分页参数——当前页|
|pageSize|否|int|分页参数——每页条数|


#### 返回示例:

**正确时返回:**

```
{
    "status": {
        "returnCode": "200"
    },
    "body": {
        "pageMeta": {
            "pageNum": 1,
            "pageSize": 2,
            "total": 233,
            "pages": 117
        },
        "items": [
            {
                "userId": "cc15da22-b890-4ceb-b830-d42c3676a896",
                "nickName": "aaaa",
                "companyId": "bb15da22-b890-4ceb-b830-d42c3676a896",
                "companyName": null,
                "email": "aaaaa@163.com1",
                "phone": "18866668888",
                "departmentId": "b656694d-8ac2-4366-aed7-7f836e0af5d8",
                "departmentName": "测试部门",
                "description": "11"
            },
            {
                "userId": "cc15da22-b890-4ceb-b830-d42c3676a897",
                "nickName": "bbbbb",
                "companyId": "bb15da22-b890-4ceb-b830-d42c3676a896",
                "companyName": null,
                "email": "xxxx@163.comm",
                "phone": "18613200000",
                "departmentId": "b656694d-8ac2-4366-aed7-7f836e0af5d8",
                "departmentName": "测试部门",
                "description": "bbb"
            }
        ]
    },
    "ok": true
}
```

**错误时返回:**

```

```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|pageMeta|Json|分页信息|
|pageMeta.pageNum|Int|当前页|
|pageMeta.pageSize|Int|每页条数|
|pageMeta.total|Int|总条数|
|pageMeta.pages|Int|总页数|
|items|List|结果集|
|items.userId|String|用户ID|
|items.nickName|String|用户昵称|
|items.companyId|String|公司ID|
|items.companyName|String|公司名称|
|items.email|String|用户邮箱|
|items.phone|String|用户手机|
|items.departmentId|String|部门ID|
|items.departmentName|String|部门名称|
|items.description|String|用户描述|