#### 简要描述：

- 查询当前公司某组用户列表

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|无       |蒋学通 |2019-5-6|2019-5-6|

#### 请求URL:

- /plat/company/current-company/group/user/query-paged

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求示例：
POST /plat/company/current-company/group/user/query-paged
```
{
  "pageNum": 1,
  "pageSize": 2,
  "groupId":"c475d322-91c9-4662-b8f7-03708f8715c0"
}
```


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|pageNum|否|int|分页参数——当前页|
|pageSize|否|int|分页参数——每页条数|
|groupId|是|String|组ID|



#### 返回示例:

**正确时返回:**

```
{
    "status": {
        "returnCode": "200"
    },
    "body": {
        "pageMeta": {
            "pageNum": 1,
            "pageSize": 2,
            "total": 13,
            "pages": 7
        },
        "items": [
            {
                "userId": "093fd7f4-1187-4b77-aca7-7e708c72c295",
                "nickName": "职员-2",
                "companyId": "bb15da22-b890-4ceb-b830-d42c3676a896",
                "email": "staff-2@kingxunlian.com",
                "phone": "",
                "description": ""
            },
            {
                "userId": "b80172fc-807a-4a30-a8d1-9c3443087b0d",
                "nickName": "职员-1",
                "companyId": "bb15da22-b890-4ceb-b830-d42c3676a896",
                "email": "staff-1@kingxunlian.com",
                "phone": "",
                "description": ""
            }
        ]
    },
    "ok": true
}

```

**错误时返回:**

```

```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|pageMeta|Json|分页信息|
|pageMeta.pageNum|Int|当前页|
|pageMeta.pageSize|Int|每页条数|
|pageMeta.total|Int|总条数|
|pageMeta.pages|Int|总页数|
|items|List|结果集|
|items.userId|String|用户ID|
|items.nickName|String|用户昵称|
|items.companyId|String|公司ID|
|items.email|String|用户邮箱|
|items.phone|String|用户手机|
|items.description|String|用户描述|