#### 简要描述：

- 按照分类名称(模糊右匹配)查询商品

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|无       |崔岩龙 |2019-9-16|2019-9-16|

#### 请求URL:

- /product/getProductByCategoryName

#### 请求方式：

- POST


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|companyId|是|String|公司id|
|categoryName|否|String|分类名称|
|pageNum|否|Integer|第几页|
|pageSize|否|Integer|每页数据条数|


#### 返回示例:

**正确时返回:**

```
{
  "body": {
    "items": [
      {
        "attributeVOList": null,
        "brandName": null,
        "buyGroupCode": null,
        "buyGroupId": null,
        "categoryName": "通用",
        "createTime": "2019-08-23 17:22:05.0",
        "factoryCode": null,
        "factoryId": null,
        "id": 6838,
        "internalNumber": null,
        "isUalityInspection": 0,
        "name": "配件一批",
        "priceAmount": null,
        "procurementCycle": null,
        "shorthand": null,
        "specification": null,
        "spuCode": "1000601000006838",
        "status": 1,
        "taxCategoryCode": "2018051900",
        "taxId": null,
        "taxRate": null,
        "unitId": null,
        "unitName": null
      }
    ],
    "pageMeta": {
      "pageNum": 1,
      "pageSize": 10,
      "pages": 1,
      "total": 1
    }
  },
  "ok": true,
  "status": {
    "description": null,
    "message": null,
    "path": null,
    "returnCode": "200",
    "serviceCode": null,
    "time": null
  }
}

```

**错误时返回:**

```
{
  "body": null,
  "ok": false,
  "status": {
    "description": "公司id不能为空",
    "message": "request valid parameter error ",
    "path": "/product/getProductByPlatform",
    "returnCode": "00102",
    "serviceCode": "common-service.kxl-product-service",
    "time": 1557220953930
  }
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|items|List|商品集合|
|id|Long|主键id|
|name|String|商品名称|
|specification|String|规格型号|
|brandId|Long|品牌id|
|brandName|String|品牌名称|
|categoryId|Long|分类id|
|categoryName|String|分类名称|
|categoryParentIds|List|分类父级id集合|
|spuCode|String|spu编号|
|internalNumber|String|内部物料编号|
|taxCategoryCode|String|税收分类编码|
|shorthand|String|商品和服务分类简称|
|referencePrice|BigDecimal|参考价格|
|priceAmount|BigDecimal|含税单价|
|taxId|Long|税率id|
|taxRate|BigDecimal|税率值|
|unitId|Long|单位id|
|unitName|String|单位名称|
|isUalityInspection|Integer|是否质检. 0:无需质检  1:需质检|
|procurementCycle|Integer|采购周期|
|status|Integer|状态. 0:禁用  1:正常|
|detailContent|String|商品描述|
|pageNum|Integer|当前页码|
|pageSize|Integer|每页数据条数|
|pages|Integer|总页数|
|total|Integer|总数据条数|