#### 简要描述：

查询商品

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|无       |崔岩龙 |2019-5-6|2019-5-6|

#### 请求URL:

/product/getPlatformProductList

#### 请求方式：

POST


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|name|否|String|商品名称|
|specification|是|String|商品规格型号|
|companyId|是|String|公司id|

#### 返回示例:

**正确时返回:**

```
{
  "body": [
    {
      "brandId": null,
      "brandName": null,
      "categoryId": 25,
      "categoryName": null,
      "categoryParentIds": null,
      "detailContent": "111",
      "id": 1,
      "internalNumber": "123",
      "isUalityInspection": 1,
      "name": "测试111",
      "priceAmount": 111,
      "procurementCycle": null,
      "referencePrice": 1,
      "shorthand": "3",
      "specification": "测试商品",
      "spuCode": "XC33331",
      "status": 0,
      "taxCategoryCode": "2",
      "taxId": 1,
      "taxRate": 0,
      "unitId": null,
      "unitName": null
    }
  ],
  "ok": true,
  "status": {
    "description": null,
    "message": null,
    "path": null,
    "returnCode": "200",
    "serviceCode": null,
    "time": null
  }
}

```

**错误时返回:**

```
{
  "body": null,
  "ok": false,
  "status": {
    "description": "规格型号不能为空，查询失败",
    "message": "request valid parameter error ",
    "path": "/product/getPlatformProductList",
    "returnCode": "00102",
    "serviceCode": "common-service.kxl-product-service",
    "time": 1557220953930
  }
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|List|List|商品集合|
|id|Long|主键id|
|name|String|商品名称|
|specification|String|规格型号|
|brandId|Long|品牌id|
|brandName|String|品牌名称|
|categoryId|Long|分类id|
|categoryName|String|分类名称|
|categoryParentIds|List|分类父级id集合|
|spuCode|String|spu编号|
|internalNumber|String|内部物料编号|
|taxCategoryCode|String|税收分类编码|
|shorthand|String|商品和服务分类简称|
|referencePrice|BigDecimal|参考价格|
|priceAmount|BigDecimal|含税单价|
|taxId|Long|税率id|
|taxRate|BigDecimal|税率值|
|unitId|Long|单位id|
|unitName|String|单位名称|
|isUalityInspection|Integer|是否质检. 0:无需质检  1:需质检|
|procurementCycle|Integer|采购周期|
|status|Integer|状态. 0:禁用  1:正常|
|detailContent|String|商品描述|