#### 简要描述：

- 根据搜索内容查询物料对照集合

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|无       |崔岩龙 |2019-5-6|2019-5-6|

#### 请求URL:

- /product/materiel/getMaterielContrast

#### 请求方式：

- POST


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|buyerCompanyId|是|String|采购公司id|
|supplierCompanyId|是|String|供应商公司id|
|categoryId|是|Long|分类id|
|content|否|String|搜索内容：物料编号、物料名称、型号/规格|
|pageNum|是|Integer|第几页|
|pageSize|是|Integer|每页大小|

#### 返回示例:

**正确时返回:**

```
{
  "body": {
    "items": [
      {
        "buyerCategoryId": null,
        "buyerCompanyId": "e036f623-212d-4363-acf6-3fd96a49bc8b",
        "buyerInternalNumber": "44015004",
        "buyerProductId": 126,
        "buyerProductName": "玻璃钢格栅板，590*730*30",
        "buyerSpecification": null,
        "buyerSpuCode": "1000050000000126",
        "buyerTaxCode": null,
        "buyerUnitId": null,
        "buyerUnitName": null,
        "createTime": 1540285890000,
        "id": 35,
        "remarks": null,
        "supplierCategoryId": null,
        "supplierCompanyId": "e036f623-212d-4363-acf6-3fd96a49bc8b",
        "supplierInternalNumber": "44015004",
        "supplierProductId": 174,
        "supplierProductName": "玻璃钢格栅板，590*730*30",
        "supplierSpecification": null,
        "supplierSpuCode": "1000050000000126",
        "supplierTaxCode": null,
        "supplierUnitId": null,
        "supplierUnitName": null
      },
      {
        "buyerCategoryId": null,
        "buyerCompanyId": "e036f623-212d-4363-acf6-3fd96a49bc8b",
        "buyerInternalNumber": "31000006",
        "buyerProductId": 176,
        "buyerProductName": "铝锭A380",
        "buyerSpecification": null,
        "buyerSpuCode": "1000050000000176",
        "buyerTaxCode": null,
        "buyerUnitId": null,
        "buyerUnitName": null,
        "createTime": 1540454397000,
        "id": 37,
        "remarks": null,
        "supplierCategoryId": null,
        "supplierCompanyId": "e036f623-212d-4363-acf6-3fd96a49bc8b",
        "supplierInternalNumber": "31000006",
        "supplierProductId": 180,
        "supplierProductName": "铝锭A380",
        "supplierSpecification": null,
        "supplierSpuCode": "1000050000000176",
        "supplierTaxCode": null,
        "supplierUnitId": null,
        "supplierUnitName": null
      },
      {
        "buyerCategoryId": null,
        "buyerCompanyId": "e036f623-212d-4363-acf6-3fd96a49bc8b",
        "buyerInternalNumber": "31000002",
        "buyerProductId": 177,
        "buyerProductName": "铝锭ENAC-46000",
        "buyerSpecification": null,
        "buyerSpuCode": "1000050000000177",
        "buyerTaxCode": null,
        "buyerUnitId": null,
        "buyerUnitName": null,
        "createTime": 1540454378000,
        "id": 36,
        "remarks": null,
        "supplierCategoryId": null,
        "supplierCompanyId": "e036f623-212d-4363-acf6-3fd96a49bc8b",
        "supplierInternalNumber": "31000002",
        "supplierProductId": 179,
        "supplierProductName": "铝锭ENAC-46000",
        "supplierSpecification": null,
        "supplierSpuCode": "1000050000000177",
        "supplierTaxCode": null,
        "supplierUnitId": null,
        "supplierUnitName": null
      }
    ],
    "pageMeta": {
      "pageNum": 1,
      "pageSize": 10,
      "pages": 1,
      "total": 3
    }
  },
  "ok": true,
  "status": {
    "description": null,
    "message": null,
    "path": null,
    "returnCode": "200",
    "serviceCode": null,
    "time": null
  }
}
```

**错误时返回:**

```
{
  "body": {
    "items": [],
    "pageMeta": {
      "pageNum": 1,
      "pageSize": 10,
      "pages": 0,
      "total": 0
    }
  },
  "ok": true,
  "status": {
    "description": null,
    "message": null,
    "path": null,
    "returnCode": "200",
    "serviceCode": null,
    "time": null
  }
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|PageMeta|object|分页信息|
|无|List|物料对照集合|
|id|Long|主键id|
|buyerCompanyId|String|采购商公司id|
|buyerProductId|Long|采购商品id|
|buyerProductName|String|采购商品名称|
|buyerSpuCode|String|采购spu代码|
|buyerSpecification|String|采购商规格|
|buyerTaxCode|String|采购商品税收编码|
|buyerCategoryId|Long|采购商品分类id|
|buyerInternalNumber|String|采购商品内部编号|
|buyerUnitId|Long|采购商品单位id|
|buyerUnitName|String|采购商品单位名称|
|supplierCompanyId|String|供应商公司id|
|supplierProductId|Long|供应商商品id|
|supplierProductName|String|供应商品名称|
|supplierSpuCode|String|供应商spu代码|
|supplierSpecification|String|供应商规格|
|supplierTaxCode|String|供应商品税收编码|
|supplierCategoryId|Long|采购商品分类id|
|supplierInternalNumber|String|采购商品内部编号|
|supplierUnitId|Long|供应商商品单位id|
|supplierUnitName|String|供应商商品单位名称|
|remarks|String|备注|
|createTime|Date|创建时间|