#### 简要描述：

- 采购商查询供应商物料对照

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|无       |崔岩龙 |2019-5-6|2019-5-6|

#### 请求URL:

- /product/materiel/getMaterielByBuyer	

#### 请求方式：

- POST


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|buyerCompanyId|是|String|采购公司id|
|buyerProductId|是|Long|采购商品id|
|supplierCompanyId|是|String|供应商公司id|

#### 返回示例:

**正确时返回:**

```
{
  "body": {
    "buyerCategoryId": null,
    "buyerCompanyId": "c6ce95bc-4cfc-43cf-8332-8b7dacd47657",
    "buyerInternalNumber": "100004545323667",
    "buyerProductId": 37,
    "buyerProductName": "爱国者",
    "buyerSpecification": "31",
    "buyerSpuCode": "123",
    "buyerTaxCode": null,
    "buyerUnitId": null,
    "buyerUnitName": null,
    "createTime": 1539083870000,
    "id": 12,
    "remarks": "234",
    "supplierCategoryId": null,
    "supplierCompanyId": "bb15da22-b890-4ceb-b830-d42c3676a896",
    "supplierInternalNumber": "100004545323645",
    "supplierProductId": 40,
    "supplierProductName": "橡皮",
    "supplierSpecification": "12423",
    "supplierSpuCode": "DF",
    "supplierTaxCode": "1",
    "supplierUnitId": null,
    "supplierUnitName": null
  },
  "ok": true,
  "status": {
    "description": null,
    "message": null,
    "path": null,
    "returnCode": "200",
    "serviceCode": null,
    "time": null
  }
}
```

**错误时返回:**

```
{
  "body": null,
  "ok": true,
  "status": {
    "description": null,
    "message": null,
    "path": null,
    "returnCode": "200",
    "serviceCode": null,
    "time": null
  }
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|id|Long|主键id|
|buyerCompanyId|String|采购商公司id|
|buyerProductId|Long|采购商品id|
|buyerProductName|String|采购商品名称|
|buyerSpuCode|String|采购spu代码|
|buyerSpecification|String|采购商规格|
|buyerTaxCode|String|采购商品税收编码|
|buyerCategoryId|Long|采购商品分类id|
|buyerInternalNumber|String|采购商品内部编号|
|buyerUnitId|Long|采购商品单位id|
|buyerUnitName|String|采购商品单位名称|
|supplierCompanyId|String|供应商公司id|
|supplierProductId|Long|供应商商品id|
|supplierProductName|String|供应商品名称|
|supplierSpuCode|String|供应商spu代码|
|supplierSpecification|String|供应商规格|
|supplierTaxCode|String|供应商品税收编码|
|supplierCategoryId|Long|采购商品分类id|
|supplierInternalNumber|String|采购商品内部编号|
|supplierUnitId|Long|供应商商品单位id|
|supplierUnitName|String|供应商商品单位名称|
|remarks|String|备注|
|createTime|Date|创建时间|