#### 简要描述：

- 按照采购商的商品集合创建与供应商的物料对照

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|无       |崔岩龙 |2019-5-6|2019-5-6|

#### 请求URL:

- /product/materiel/createMaterielByBuyerProduct

#### 请求方式：

- POST


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|buyerCompanyId|是|String|采购公司id|
|buyerProductIds|是|List<Long>|商品id|
|supplierCompanyId|是|String|供应商公司id|

#### 返回示例:

**正确时返回:**

```
{
  "body": [
    {
      "buyerCategoryId": 500,
      "buyerCompanyId": "bb15da22-b890-4ceb-b830-d42c3676a896",
      "buyerInternalNumber": "31000006",
      "buyerProductId": 341,
      "buyerProductName": "铝锭A380",
      "buyerSpecification": "A380",
      "buyerSpuCode": "1000500000000341",
      "buyerTaxCode": null,
      "buyerUnitId": 2,
      "buyerUnitName": "千克",
      "createTime": null,
      "id": null,
      "remarks": null,
      "supplierCategoryId": 241,
      "supplierCompanyId": "de7b1472-5936-4723-aabb-7f9690f11310",
      "supplierInternalNumber": "31000006",
      "supplierProductId": 6636,
      "supplierProductName": "铝锭A380",
      "supplierSpecification": "A380",
      "supplierSpuCode": "1000500000000341",
      "supplierTaxCode": null,
      "supplierUnitId": 2,
      "supplierUnitName": "千克"
    },
    {
      "buyerCategoryId": 500,
      "buyerCompanyId": "bb15da22-b890-4ceb-b830-d42c3676a896",
      "buyerInternalNumber": "31000002",
      "buyerProductId": 340,
      "buyerProductName": "铝锭ENAC-46000",
      "buyerSpecification": "ENAC-46000",
      "buyerSpuCode": "1000500000000340",
      "buyerTaxCode": "",
      "buyerUnitId": 2,
      "buyerUnitName": "千克",
      "createTime": null,
      "id": null,
      "remarks": null,
      "supplierCategoryId": 241,
      "supplierCompanyId": "de7b1472-5936-4723-aabb-7f9690f11310",
      "supplierInternalNumber": "31000002",
      "supplierProductId": 6637,
      "supplierProductName": "铝锭ENAC-46000",
      "supplierSpecification": "ENAC-46000",
      "supplierSpuCode": "1000500000000340",
      "supplierTaxCode": "",
      "supplierUnitId": 2,
      "supplierUnitName": "千克"
    }
  ],
  "ok": true,
  "status": {
    "description": null,
    "message": null,
    "path": null,
    "returnCode": "200",
    "serviceCode": null,
    "time": null
  }
}
```

**错误时返回:**

```
{
  "body": null,
  "ok": false,
  "status": {
    "description": "【ManufacturersItemIdentification】属性在表中未进行维护!",
    "message": "request valid parameter error ",
    "path": "/product/materiel/createMaterielByBuyerProduct",
    "returnCode": "00102",
    "serviceCode": "common-service.kxl-product-service",
    "time": 1557308850561
  }
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|List|List|对照表集合|
|id|Long|主键id|
|buyerCompanyId|String|采购商公司id|
|buyerProductId|Long|采购商品id|
|buyerProductName|String|采购商品名称|
|buyerSpuCode|String|采购spu代码|
|buyerSpecification|String|采购商规格|
|buyerTaxCode|String|采购商品税收编码|
|buyerCategoryId|Long|采购商品分类id|
|buyerInternalNumber|String|采购商品内部编号|
|buyerUnitId|Long|采购商品单位id|
|buyerUnitName|String|采购商品单位名称|
|supplierCompanyId|String|供应商公司id|
|supplierProductId|Long|供应商商品id|
|supplierProductName|String|供应商品名称|
|supplierSpuCode|String|供应商spu代码|
|supplierSpecification|String|供应商规格|
|supplierTaxCode|String|供应商品税收编码|
|supplierCategoryId|Long|采购商品分类id|
|supplierInternalNumber|String|采购商品内部编号|
|supplierUnitId|Long|供应商商品单位id|
|supplierUnitName|String|供应商商品单位名称|
|remarks|String|备注|
|createTime|Date|创建时间|