#### 简要描述：

- 分页查询单位列表

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|无       |崔岩龙 |2019-5-6|2019-5-6|

#### 请求URL:

- /product/unit/getUnit

#### 请求方式：

- POST


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|name|否|String|单位名称|
|enName|否|String|单位英文名称|
|status|否|Integer|状态. 0:禁用  1:正常|
|pageNum|是|Integer|第几页|
|pageSize|是|Integer|每页大小|

#### 返回示例:

**正确时返回:**

```
{
  "body": {
    "items": [
      {
        "code": "BO",
        "createTime": "2018-09-30 13:16:09.0",
        "enName": "bottle",
        "id": 12,
        "initial": "",
        "name": "瓶",
        "status": 1
      },
      {
        "code": "PK",
        "createTime": "2018-09-30 13:16:03.0",
        "enName": "pack",
        "id": 11,
        "initial": "",
        "name": "包",
        "status": 1
      },
      {
        "code": "CS",
        "createTime": "2018-09-30 13:15:59.0",
        "enName": "case",
        "id": 10,
        "initial": "",
        "name": "箱",
        "status": 1
      },
      {
        "code": "ZZ0",
        "createTime": "2018-09-30 13:15:54.0",
        "enName": "台",
        "id": 9,
        "initial": "",
        "name": "台",
        "status": 0
      },
      {
        "code": "BX",
        "createTime": "2018-09-30 13:15:49.0",
        "enName": "box",
        "id": 8,
        "initial": "",
        "name": "盒",
        "status": 1
      },
      {
        "code": "SET",
        "createTime": "2018-09-30 13:15:42.0",
        "enName": "set",
        "id": 7,
        "initial": "",
        "name": "套",
        "status": 0
      },
      {
        "code": "EA",
        "createTime": "2018-09-30 13:15:26.0",
        "enName": "each",
        "id": 6,
        "initial": "",
        "name": "个",
        "status": 1
      }
    ],
    "pageMeta": {
      "pageNum": 1,
      "pageSize": 20,
      "pages": 2,
      "total": 27
    }
  },
  "ok": true,
  "status": {
    "description": null,
    "message": null,
    "path": null,
    "returnCode": "200",
    "serviceCode": null,
    "time": null
  }
}
```

**错误时返回:**

```
无

```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|PageList|Object|分页对象|
|id|Long|主键id|
|name|String|分类名称|
|initial|String|分类编码|
|code|String|单位编码|
|enName|String|单位英文名称|
|status|Integer|分类状态, 0:不可用  1:可用|
|createTime|String|创建时间|