#### 简要描述：

- 第三方系统，通过迅联云接入，通过API创建对账单。

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|1.0      |米伟伟|2019-5-15|2019-5-15|


#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求URL:
post  /reconciliation/saveReconForApi

#### 请求参数:
|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|reconciliationNo    |是|String |对账单号，唯一不能重复  |
|currency|否|String|货币|
|startTime    |是|Date |对账开始时间   |
|endTime    |是|Date |对账结束时间   |
|buyCompanyName   |是|String |购买方公司名称 |
|buyCompanyTaxId    |是|String|购买方公司税号 |
|supplierCompanyName   |是|String |供应商公司名称  |
|supplierCompanyTaxId   |是|String |供应商公司税号  |
|itemList   |是|List |对账单行集合  |
||||
| itemNo   |是|String |条目编号 行唯一性标识，相同的即为一行  |
|itemName   |是|String |卖方商品名称  |
|specification   |是|String |规格型号  |
|productNo   |是|String |卖方商品编号  |
|quantity   |是|BigDecimal |数量  |
|unit   |是|enum |单位  |
|unitPrice   |否|BigDecimal |单价  |
|amountWithoutTax   |否|BigDecimal |金额(不含税)  |
|taxPercent   |否|BigDecimal |税率  |
|taxAmount   |否|BigDecimal |税额(金额*税率)  |
|amount   |否|BigDecimal |价税合计(金额+税额)  |
|discount   |否|BigDecimal |折扣  |
|buyerItemName   |是|String |买方商品名称 |
|buyerSpecification   |否|String |买方商品规格型号  |

#### 请求示例:
```
{
  "reconciliationNo": "hailan-API-Buy1557883270376",
  "currency": "人民币",
  "startTime": 1557883315047,
  "endTime": 1557883315047,
  "buyCompanyName": "重庆宜迅联供应链科技有限公司",
  "buyCompanyTaxId": "91500103MA5UAHBY29",
  "supplierCompanyName": "兰馨谷开票测试",
  "supplierCompanyTaxId": "310106666888888",
  "itemList": [{
		"itemNo": "01",
		"itemName": "API条目测试商品",
		"productNo": "233W5THXL-01212",
		"specification": "BQF3 - C",
		"quantity": 10,
		"realStoreQuantity": null,
		"unit": "EA",
		"unitPrice": 4179.43,
		"unitPriceWithoutTax": null,
		"amountWithoutTax": 39428.58,
		"taxPercent": 0.06,
		"taxAmount": 2365.71,
		"amount": 41794.3,
		"discount": 100,
		"productId": null,
		"buyerProductId": null,
		"buyerItemName": "API条目测试商品",
		"buyerSpecification": "BQF3 - C",
	}]
}
```

#### 返回示例:

**正确时返回:**
```
{
  "body": {
    "reconciliationUuid": "f5e5a195-394f-4e7c-8865-989fdce600b3"
  },
  "ok": true,
  "status": {
    "description": {},
    "message": "string",
    "path": "string",
    "returnCode": "string",
    "serviceCode": "string",
    "time": "2019-05-15T06:34:06.874Z"
  }
}
```

**错误时返回:**

```
{
  "body": {},
  "ok": false,
  "status": {
    "description": {},
    "message": "对账单号已经存在",
    "returnCode": "200", 
    "time": "2019-05-15T06:34:06.874Z"
  }
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|ok  |String|请求是否处理成功， true表示成功|
|reconciliationUuid|String|创建的对账单UUID|