#### 简要描述：

- 第三方系统，通过迅联云接入，通过API修改对账单。

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|1.0      |米伟伟|2019-5-15|2019-5-15|


#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求URL:
post  /reconciliation/updateReconForApi

#### 请求参数:
|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|reconciliationNo    |是|String |对账单号，唯一不能重复  |
|itemList   |是|List |对账单行集合  |
||||
| itemNo   |是|String |条目编号 行唯一性标识，相同的即为一行  |
|itemName   |是|String |卖方商品名称  |
|specification   |是|String |规格型号  |
|productNo   |是|String |卖方商品编号  |
|quantity   |是|BigDecimal |数量  |
|unit   |是|enum |单位  |
|unitPrice   |否|BigDecimal |单价  |
|amountWithoutTax   |否|BigDecimal |金额(不含税)  |
|taxPercent   |否|BigDecimal |税率  |
|taxAmount   |否|BigDecimal |税额(金额*税率)  |
|amount   |否|BigDecimal |价税合计(金额+税额)  |
|discount   |否|BigDecimal |折扣  |
|buyerItemName   |是|String |买方商品名称 |
|buyerSpecification   |否|String |买方商品规格型号  |

#### 请求示例:
```
{
  "itemList": [
    {
      "buyerItemName": "苹果",
      "buyerProductId": 11,
      "buyerSpecification": "0x092",
      "discount": 0,
      "itemName": "苹果",
      "itemNo": "758260398519483130",
      "productNo": "0x092",
      "quantity": 1000,
      "specification": "0x092",
      "taxPercent": 3,
      "unit": "EA",
      "unitPrice": 1
    }
  ],
  "reconciliationNo": "RE2019032900000001"
}
```

#### 返回示例:

**正确时返回:**
```
{
  "body": {
    "reconciliationUuid": "f5e5a195-394f-4e7c-8865-989fdce600b3"
  },
  "ok": true,
  "status": {
    "description": {},
    "message": "string",
    "path": "string",
    "returnCode": "string",
    "serviceCode": "string",
    "time": "2019-05-15T06:34:06.874Z"
  }
}
```

**错误时返回:**

```
{
  "body": {},
  "ok": false,
  "status": {
    "description": {},
    "message": "通过对账单业务编号未找到对账单",
    "returnCode": "200", 
    "time": "2019-05-15T06:34:06.874Z"
  }
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|ok  |String|请求是否处理成功， true表示成功|
|reconciliationUuid|String|对账单UUID|