#### 简要描述：

- 第三方系统，通过进项录入的批次号查询该批次号下所有录入的票据。

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|无       |米伟伟 |2019-7-2|2019-7-2|


#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求URL:
post  /tax/income/query-by-batch-number

#### 请求参数:
|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|batchNumber    |是|String |请求批次号  |

#### 请求示例:
```
{
  "batchNumber": "841420044930908160"
}
```

#### 返回示例:

**正确时返回:**
```
{
  "body": [
    {
      "amountWithoutTax": 1412.1,
      "batchNumber": "841420044930908160",
      "decodeState": 4,
      "imagePath": "bb15da22-b890-4ceb-b830-d42c3676a855/lbjaUQqG.jpg",
      "invoiceCode": "1200191130",
      "invoiceDate": 1556035200000,
      "invoiceLoggingId": "841420070700711936",
      "invoiceNumber": "01850029",
      "invoiceParityCode": "405106",
      "loggedDate": 1561627788842
    }
  ],
  "ok": true,
  "status": {
    "description": null,
    "message": null,
    "path": null,
    "returnCode": "200",
    "serviceCode": null,
    "time": null
  }
}
```

**错误时返回:**

```

```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|invoiceLoggingId  |String|发票录入日志id|
|batchNumber  |String|录入批次号|
|decodeState  |Integer|识别状态 2:识别中 3:识别失败 4:识别成功|
|invoiceCode  |String|发票代码|
|invoiceNumber  |String|发票号码
|invoiceDate  |Date|发票日期,格式：yyyyMMdd|
|amountWithoutTax  |BigDecimal|不含税金额|
|invoiceParityCode  |String|校验码|
|imagePath  |String|文件存储路径|
|loggedDate  |Date|录入时间|