#### 简要描述：

- 第三方系统，通过识别附件，获取附件模板配置的信息，并建立附件和发票的关联关系

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|无       |米伟伟 |2019-7-3|2019-7-3|


#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求URL:
post  /tax/income/handle-file-addition

#### 请求参数:
|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|invoiceLoggingId    |是|String |采集录入日志ID  |
|templateCode    |是|String |模板编号  |
||
|additionalContent    |是|String |模板内容，json格式  |
|collectId    |是|String |关联块ID,自定义，一般为 “发票代码-发票号码”  |
|docUuid    |是|String |关联的单据UUID  （在同一个附件关联中单据UUID不可重复）|
|archiveNumber    |是|String |barCode  |

#### 请求示例:
```
{
  "fileCollectInvoiceDtoList": [
    {
      "additionalContent": "string",
      "collectId": "string",
      "docUuid": "string",
	  "archiveNumber":"string"
    }
  ],
  "invoiceLoggingId": "831592386663546880",
  "templateCode": "jack"
}

模板内容additionalContent格式:
[
    {
        "connectHeader": [
            {
                "name": "发票代码",
                "type": "input",
                "value": "5000164130",
                "key": "invoiceCode"
            },
            {
                "name": "发票号码",
                "type": "input",
                "value": "06297849",
                "key": "invoiceNumber"
            }
        ],
        "templateName": "scm",
        "collectId": "5000164130-06297849",
        "documentUuid": "f52d988a-7a42-4eb8-bff7-762bb1ca27e2",
        "header": [
            {
                "name": "行级订单号",
                "type": "input",
                "value": "34234",
                "key": "orderId"
            },
            {
                "name": "总金额",
                "type": "input",
                "value": "234234",
                "key": "priceAmount"
            }
        ],
        "templateID": "123",
        "list": [
            [
                {
                    "name": "行金额",
                    "type": "input",
                    "value": "4444",
                    "key": "Price"
                },
                {
                    "name": "行数量",
                    "type": "input",
                    "value": "5555",
                    "key": "PackQuantity"
                }
            ]
        ]
    }
]
```

#### 返回示例:

**正确时返回:**
```
{
  "body": {
    "failMsg": [
      {
        "collectId": "模板块ID",
        "submitFaileMsg": "保存失败信息"
      }
    ]
  },
  "ok": true,
  "status": {
    "returnCode": "200",
  }
}
```

**错误时返回:**

```
{
  "body":null,
  "ok": false,
  "status": {
   "description": "失败原因",
    "returnCode": "9999"
  }
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----|
|failMsg  |List|处理失败的关联信息集合，如果为空表示全部处理成功|
|collectId  |String|处理失败关联的块ID|
|submitFaileMsg  |String|处理失败的信息提示|