#### 简要描述：

- 单据+发票影像文件同步到费用发票APP，费用发票APP自动识别。
- 扫描仪像素设置：300dpi
- 票据必须清晰，待识别的文字，足够清晰，不能覆盖打印等情况。
- 增值税发票，一张粘贴单，只贴一张票
- 识别率98%以上，但是业务要考虑，识别错误后，对业务的流程影响，业务系统需要结合自身的情况，考虑并设计合理的修正方案。
- 不支持pdf多页，只支持单页
- 文件大小不超过3M

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|0.0.1 |张理国  |2019-05-09 |  2019-05-09 |

#### 请求URL:

- /tax/expense/addDocument

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|documentCode |是  |string |单据编号,公司id+单据编号要保证全局唯一   |
|documentTime |否  |Date | 单据时间    |
|amount |否  |BigDecimal | 价税合计  最多12位整数，最多2位小数  |
|callBackUrl |是  |string | 单据回调地址    |
|imagePaths |否  |List(string) | 影像文件路径 ，七牛云影像文件名字   |

#### 返回示例:

**正确时返回:**

```
{
  "body": {
    "amount": 100,
    "createTime": 1557391411000,
    "createUser": "e27a42fd-c51d-47eb-a372-8621d35de2c4",
    "documentCode": "kxl_20190509001",
    "documentTime": 1557391382000,
    "id": 1,
    "invoiceLoggingTime": null,
    "invoiceLoggingUser": null,
    "submitState": 1,
    "validateMsg": null,
    "validateState": 0
  },
  "ok": true,
  "status": {
    "description": null,
    "message": null,
    "path": null,
    "returnCode": "200",
    "serviceCode": null,
    "time": null
  }
}
```

**错误时返回:**


```
{
  "body": null,
  "ok": false,
  "status": {
    "description": null,
    "message": "单据编号:sxx_001 已经存在",
    "returnCode": "99999",
    "time": 1557394070220
  }
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|ok |Boolean   |请求是否成功，true：成功 false：失败  |
|body |Object   |单据基础信息，当ok=true时才有值  |
|status.returnCode |String   |返回编码 200：成功 其他：失败  |
|status.message |String   |错误文字描述  |

#### 备注:

- 更多返回错误代码请看首页的错误代码描述