<h1 align="left" style="color:red;">接口已废弃</h1>

#### 简要描述：

- 第三方系统，通过迅联云接入认证后，能够通过此接口推送已经拆分的开票数据到迅联云销项开票功能,在迅联云平台查看此数据，并使用迅联云平台销项开票功能，能够进行开票。

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|无       |幸禹可 |2019-5-6|2019-5-6|


#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |String |请求类型： application/json   |


#### 请求URL:
post  /tax/output/invoice/thirdInvoiceImport

#### 请求参数:
###### 主信息
|字段|参数名称|是否必须|类型|说明|
|:----    |:---|:----- |:-----|-----   |
|reference|来源业务单号|String|是|100	
|autoBilling|自动开票|boolean|是|false:不自动开票;true:自动开票
|callBackUrl|回调地址|String|是|100|回调地址
|invoiceType|发票类型|String|是|1|04:普票,01:专票
|buyerCompanyName|购买方公司名称|String|是|100	
|buyerTaxpayer|购买方纳税人识别号|String|是|15 or 17 or 18 or 20位
|buyerAddressAndPhone|买方地址及电话|String|是|100	
|buyerBankAndNo|买方银行及账号|String|是|100	
|invoiceList|发票数据集合|List|是|不能为空

###### invoiceList明细信息
|字段|参数名称|是否必须|类型|说明|
|:----    |:---|:----- |:-----|-----   |
|invoiceId|预制发票ID|String|是|100|同一批次下,不能重复,用于校验返回结果。
|allTotalPrice|总金额|BigDecimal|是|小数点前10为,后2位
|allTotalTax|总税额|BigDecimal|是|小数点前10为,后2位
|totalTaxInclusiveAmount|价税合计|BigDecimal|是|小数点前10为,后2位
|auditor|复核人|String|否|8	
|payee|收款人|String|否|8	
|remark|备注|String|否|100	
|settleDetails|明细集合|List|是|不为空

###### settleDetails明细信息
|字段|参数名称|是否必须|类型|说明|
|:----    |:---|:----- |:-----|-----   |
|referenceLineId|行号唯一ID|String|是|100	
|productName|商品名称|String|是|50	
|supplierMaterialCode|卖家物料编码|String|否|50	
|quantity|数量|BigDecimal|是|小数点前8为,后6位
|unit|单位|String|否|7	
|priceAmount|含税单价|BigDecimal|是|小数点前8为,后6位
|totalPrice|金额|BigDecimal|是|小数点前10为,后2位
|taxRate|税率|BigDecimal|是|小数点后两位
|taxAmount|税额|BigDecimal|是|小数点前10为,后2位
|taxInclusiveAmount|价税合计|BigDecimal|是|小数点前10为,后2位
|discount|折扣|BigDecimal|是|小数点前10为,后2位,如无折扣,传递默认值0
|taxCode|税收分类编码|String|否|19	

#### 请求示例:
```
{
    "reference": "",
    "autoBilling": true,
    "buyerAddressAndPhone": "",
    "buyerBankAndNo": "",
    "buyerCompanyName": "",
    "buyerTaxpayer": "",
    "invoiceType": "",
    "callBackUrl": "",
    "invoiceList": [
        {
            "invoiceId": "",
            "auditor": "",
            "payee": "",
            "allTotalPrice": 0,
            "allTotalTax": 0,
            "totalTaxInclusiveAmount": 0,
            "remark": "",
            "settleDetails": [
                {
                    "productName": "",
                    "referenceLineId": "",
                    "supplierMaterialCode": "",
                    "supplierSpecification": "",
                    "taxCode": "",
                    "unit": "",
                    "quantity": 0,
                    "priceAmount": 0,
                    "totalPrice": 0,
                    "taxRate": 0,
                    "taxAmount": 0,
                    "taxInclusiveAmount": 0,
                    "discount": 0
                }
            ]
        }
    ]
}
```
#### 返回示例:

**正确时返回:**
```
{
    "body": {
        "reference": "ACC-12",
        "errorMsg": "",
        "failureList": []
    },
    "ok": true,
    "status": {
        "message": "",
        "path": "",
        "returnCode": "200",
        "serviceCode": ""
    }
}
```


**错误时返回:**
```
{
    "body": {
        "reference": "ACC-12",
        "errorMsg": "发票类型错误",
        "failureList": [
            {
                "invoiceId": "123456",
                "errorMsg": "主表价税合计与明细累加价税合计不一致",
                "detailMsg": [
                    {
                        "referenceLineId": "32231313123",
                        "errorMsg": "商品名称超过长度"
                    }
                ]
            }
        ]
    },
    "ok": true,
    "status": {
        "message": "",
        "path": "",
        "returnCode": "200",
        "serviceCode": ""
    }
}
```

#### 返回参数说明:
|参数名|类型|说明|
|:-----  |:-----|-----|
|ok  |String|请求是否处理成功， true表示成功|
|failureList  |List|错误信息 List无信息的时候表示全部正常|