#### 简要描述：

- 用于不同业务系统间对接销项开票的中间环节阶段的数据创建，创建后一般作为不同系统间数据一致性保证的依据，该阶段只进行简单数据处理并进行严格的金额相关的校验

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|无       |秦霄光 |2022-4-8|2022-4-8|

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |String |请求类型： application/json   |

#### 请求URL:

post  /tax/output/requisition/save

#### 请求参数:

###### 主信息
|字段|参数名称|是否必须|类型|长度|说明|
|:----    |:---|:----- |:-----|:-----|-----   |
|companyDataResource|数据来源|是|String|36|只能为数字、字母、下划线|
|~~callbackUrl~~|回调url地址|否|String|200|此字段不建议使用,建议使用发票查询替换此功能|
|requisitionApplyNo|开票申请单号|是|String|96|只能为数字和字母|
|requisitionApplicationSector|申请部门|否|String|20||
|requisitionApplicant|申请人|否|String|10||
|requisitionApplyDate|申请日期|否|String|14|格式：yyyyMMddHHmmss|
|requisitionApplicationReason|申请事由|否|String|200||
|requisitionContractNo|合同编号|否|String|100||
|receiveRecipient|收件人|否|String|10||
|receiveAddress|收件人地址|否|String|200||
|receiveMsgPhone|联系人手机号|否|String|12||
|receiveMsgEmail|电子发票交付邮箱|否|String|64||
|autoIssue|是否自动生成预制发票|否|String|1|默认为否，0:否；1:是|
|computeWithTax|含税标识|否|integer|2|默认含税；0：不含税,1：含税|
|invoiceTypeCode|发票类型代码|是|String|2|专票：01；普票：04；电子普票票：10;电子专票08；|
|buyerName|购方名称|是|String|100|中文占2字节|
|buyerTaxId|购方税号|否|String|20|只能为数字和大写字母|
|buyerAddress|购方地址、电话|否|String|100|中文占2字节|
|buyerBankAndId|购方开户行及账号|否|String|100|中文占2字节|
|note|备注|否|String|212|中文占2字节|
|sellerName|销方名称|是|String|100|中文占2字节|
|sellerTaxId|销方税号|是|String|20|只能为数字和大写字母|
|sellerAddress|销方地址、电话|否|String|100|中文占2字节|
|sellerBankAndId|销方开户行及账号|否|String|100|中文占2字节|
|totalAmountExcludeTax|发票金额|是|BigDecimal|12/13|正票：12位；负票：13位|小数点后2位|
|totalTaxAmount|发票税额|是|BigDecimal|正票：12位；负票：13位|小数点后2位|
|totalAmountIncludeTax|价税合计|是|BigDecimal|正票：13位；负票：14位|小数点后2位|
|specialInvoiceMark|特殊票种标识|是|String|2|00:非特殊票,08:成品油|
|statementCode|对账单编号|否|String||
|noticeCodeNo|通知单编号|否|String||

###### lines行信息
|字段|参数名称|是否必须|类型|长度|说明|
|:----    |:---|:----- |:-----|:-----|-----   |
|lineNo|明细编号|否|String|20|只能为数字，并且依据1到n的等差数列依次+1递增|
|itemName|货物名称|是|String|92|中文占2字节|
|unit|单位|否|String|14|中文占2字节|
|materialCode|物料编码|否|String|20|只能为数字|
|itemModelName|规格型号|否|String|40|中文占2字节|
|lineAttribute|发票行性质|是|String|2|发票行性质;0:正常行(无折扣),2:被折扣行(有折扣)|
|discount|含税折扣额|否|BigDecimal|12|小数点后2位|
|lineDiscountExcludeTax|不含税折扣额|否|BigDecimal|12|商品行的具体折扣金额。若当前行是被折扣行，则含税折扣额与不含税折扣额必须至少有一个不为空，取决于含税标识，并且为正数|
|taxDiscount|折扣税额,被折扣行不能为空，且为正数|否|BigDecimal|12|小数点后2位|
|taxAmount|税额|否|BigDecimal|12|商品行的具体折扣金额。若当前行是被折扣行，则含税折扣额与不含税折扣额必须至少有一个不为空，取决于含税标识，并且为正数|
|taxRate|税率|是|BigDecimal|4|小数点后2位|
|quantity|数量|否|BigDecimal|16|小数点后8位|
|priceExcludeTax|商品行不含税单价|否|BigDecimal|16|小数点后8位(单价和数量要么同时为空，要么同时不为空)|
|priceIncludeTax|商品行含税单价|否|BigDecimal|16|小数点后8位(单价和数量要么同时为空，要么同时不为空)|
|lineAmountExcludeTax|不含税金额|是|BigDecimal|12|小数点后2位|
|lineAmountIncludeTax|价税合计(含税金额)|是|BigDecimal|12|小数点后2位|
|taxClassificationCode|税收分类编码|否|String|19|只能为数字|
|zeroTaxRateFlag|零税率标识|否|String|2|空代表无;1 出口免税和其他免税优惠政策;2 不征增值税;3 普通零税率|
|favouredPolicyMark|优惠政策标识|否|String|2|0:未使用，1:使用|
|favouredPolicyName|优惠政策名称|否|String|500|中文占2字节|
|orderNo|订单编号|否|String|100||
|orderLineId|订单行号|否|String|20||
|statementCode|对账单编号|否|String|100||
|StatementLineId|对账单行号|否|String|20||
|noticeCodeNo|通知单编号|否|String|100||
|noticeLineId|通知单行号|否|String|20||

#### 请求示例:
```json
{
  "autoIssue": null,
  "buyerAddress": null,
  "buyerBankAndId": null,
  "buyerName": "购方名称",
  "buyerTaxId": null,
  "callbackUrl": null,
  "companyId": null,
  "computeWithTax": 0,
  "companyDataResource": "123123",
  "includeTaxRateMark": null,
  "inventoryMark": null,
  "invoiceTypeCode": "01",
  "lines": [
    {
      "deduction": 0,
      "discount": 0,
      "favouredPolicyMark": null,
      "favouredPolicyName": null,
      "itemModelName": null,
      "itemName": "货物名称",
      "lineAmountExcludeTax": 1,
      "lineAmountIncludeTax": 1,
      "lineAttribute": "0",
      "lineNo": null,
      "materialCode": null,
      "priceExcludeTax": 0,
      "priceIncludeTax": 0,
      "quantity": 0,
      "taxAmount": 0.01,
      "taxClassificationCode": null,
      "taxDiscount": 0,
      "taxRate": 0.01,
      "unit": null,
      "zeroTaxRateFlag": null,
      "orderNo": null,
      "orderLineId": null,
      "statementCode": null,
      "statementLineId": null,
      "noticeCodeNo": null,
      "noticeLineId": null
    }
  ],
  "note": null,
  "receiveAddress": null,
  "receiveMsgEmail": null,
  "receiveMsgPhone": null,
  "receiveRecipient": null,
  "requisitionApplicant": null,
  "requisitionApplicationReason": null,
  "requisitionApplicationSector": null,
  "requisitionApplyDate": 20210405121212,
  "requisitionApplyNo": "12345678909876543007",
  "requisitionApplyType": null,
  "requisitionContractNo": null,
  "requisitionFirstIssue": null,
  "requisitionProject": null,
  "sellerAddress": null,
  "sellerBankAndId": null,
  "sellerName": "中科迅联86234有限公司",
  "sellerTaxId": "9111018347685WG28A",
  "specialInvoiceMark": "00",
  "totalAmountExcludeTax": 1,
  "totalAmountIncludeTax": 1,
  "totalTaxAmount": 0.01,
  "statementCode": null,
  "noticeCodeNo": null
}
```
#### 返回示例:
```json
{
    "body":true,
    "ok":true,
    "requestNum":null,
    "status":{
        "description":null,
        "message":null,
        "path":null,
        "returnCode":"200",
        "serviceCode":null,
        "time":null
    }
}

```

#### 返回参数说明:
|字段|参数名称|是否一定存在|类型|长度|说明|
|:----    |:---|:----- |:-----|:-----|-----   |
|ok  |成功状态||String|是|请求是否处理成功， true表示成功|