#### 简要描述：

- 用于业务系统查询申请单主信息

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|无       |秦霄光 |2022-04-08|2022-04-08|

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |String |请求类型： application/json   |

#### 请求URL:
post  /tax/output/requisition/queryPage

#### 请求参数:
|字段|参数名称|是否必须|类型|长度|说明|
|:----    |:---|:----- |:-----|:-----|-----   |
|companyDataResource|数据来源|否|String|36|	|
|requisitionStatus  |申请单状态|否|String|2|00:未生成发票;01:已生成发票;02:部分开具;03:已开具发票;(红冲和作废发票均还原为已生成发票)|
|requisitionApplyNo |开票申请单号|否|String|96||
|pageSize           |当前页数据量|否|String|20|默认每页15条|
|pageNum             |页码|否|String|20|默认第一页|

#### 请求示例:
```json
{
  "pageNum": 1,
  "pageSize": 10,
  "requisitionApplyNo": ""
}
```
#### 返回示例:

```json
{
  "body": {
    "items": [
      {
        "autoIssue": "0",
        "backupFieldOne": null,
        "backupFieldThree": null,
        "backupFieldTwo": null,
        "buyerAddress": null,
        "buyerBankAndId": null,
        "buyerName": "申请单",
        "buyerTaxId": null,
        "callbackUrl": null,
        "companyDataResource": null,
        "companyId": "62b03222-54ec-4c65-af5f-55049445ff1f",
        "computeWithTax": 0,
        "createTime": "2021-04-19T14:05:53",
        "docComplianceFail": null,
        "docComplianceStatus": null,
        "id": 12,
        "includeTaxRateMark": null,
        "inventoryMark": null,
        "invoiceTypeCode": "01",
        "isDelete": "0",
        "note": "string",
        "receiveAddress": null,
        "receiveMsgEmail": null,
        "receiveMsgPhone": null,
        "receiveRecipient": null,
        "requisitionApplicant": null,
        "requisitionApplicationReason": null,
        "requisitionApplicationSector": null,
        "requisitionApplyDate": null,
        "requisitionApplyNo": "daffwefsdcdf342543460",
        "requisitionApplyType": null,
        "requisitionContractNo": null,
        "requisitionFirstIssue": null,
        "requisitionProject": null,
        "requisitionStatus": null,
        "sellerAddress": "string",
        "sellerBankAndId": "string",
        "sellerName": "string",
        "sellerTaxId": "string",
        "specialInvoiceMark": null,
        "totalAmountExcludeTax": 0,
        "totalAmountIncludeTax": 0,
        "totalTaxAmount": 0,
        "updateTime": "2021-04-19T14:05:53"
      }
    ],
    "pageMeta": {
      "pageNum": 1,
      "pageSize": 10,
      "pages": 1,
      "total": 2
    }
  },
  "ok": true,
  "requestNum": null,
  "status": {
    "description": null,
    "message": null,
    "path": null,
    "returnCode": "200",
    "serviceCode": null,
    "time": null
  }
}
```

#### 返回参数说明:
|字段|参数名称|是否一定存在|类型|长度|说明|
|:----    |:---|:----- |:-----|:-----|-----   |
|ok         |操作状态|是|Boolean|4|true: 执行成功。 false：执行失败|
|status     |执行状态|是|||执行状态|
|description|详细描述|否|||错误描述|
|message    |提示信息|否|String|||
|returnCode |结果代码|是||||
|time       |时间戳|是||||

##### 返回items说明:

|字段|参数名称|是否一定存在|类型|长度|说明|
|:----    |:---|:----- |:-----|:-----|-----   |
|companyDataResource|数据来源|是|String|36|只能为数字、字母、下划线|
|~~callbackUrl~~|回调url地址|否|String|200|此字段不建议使用,建议使用发票查询替换此功能|
|requisitionApplyNo|开票申请单号|是|String|96|只能为数字和字母|
|requisitionApplyType|申请类型|否|String|10||
|requisitionApplicationSector|申请部门|否|String|20||
|requisitionApplicant|申请人|否|String|10||
|requisitionApplyDate|申请日期|否|String|14||
|requisitionApplicationReason|申请事由|否|String|200||
|requisitionContractNo|合同编号|否|String|100||
|requisitionFirstIssue|首次开票|否|String|2|0：不是首次；1:首次开票|
|requisitionProject|项目名称|否|String|100||
|receiveRecipient|收件人|否|String|10||
|receiveAddress|收件人地址|否|String|200||
|receiveMsgPhone|接收电票下载信息手机号|否|String|12||
|receiveMsgEmail|接收电票下载信息邮箱号|否|String|64||
|includeTaxRateMark|含税税率标识|是|String|1|0：普通征税;1：减按计征;2：差额征税|
|computeWithTax|含税标识|否|integer|2|默认含税；0：不含税,1：含税|
|invoiceTypeCode|发票类型代码|是|String|2|专票：01；普票：04；电子普票票：10;电子专票08；|
|buyerName|购方名称|是|String|100|中文占2字节|
|buyerTaxId|购方税号|否|String|20||
|buyerAddress|购方地址、电话|否|String|100|中文占2字节|
|buyerBankAndId|购方开户行及账号|否|String|100|中文占2字节|
|note|备注|否|String|212|中文占2字节|
|sellerName|销方名称|是|String|100|中文占2字节|
|sellerTaxId|销方税号|是|String|20||
|sellerAddress|销方地址、电话|否|String|100|中文占2字节|
|sellerBankAndId|销方开户行及账号|否|String|100|中文占2字节|
|totalAmountExcludeTax|发票金额|是|BigDecimal|12/13|小数点后2位正票：12位；负票：13位|
|totalTaxAmount|发票税额|是|BigDecimal|12/13|小数点后2位正票：12位；负票：13位|
|totalAmountIncludeTax|价税合计|是|BigDecimal|13/14|小数点后2位，正票：13位；负票：14位|
|specialInvoiceMark|特殊票种标识|否|String|4|00:非特殊票,08:成品油|