#### 简要描述：

- 第三方系统，通过迅联云接入认证后，能够通过此接口推送待开票数据到迅联云销项开票功能,在迅联云平台查看此数据，并使用迅联云平台销项开票功能，能够进行拆分及开票。

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|无       |杨婷婷 |2022-4-8|2022-4-8|


#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |String |请求类型： application/json   |


#### 请求URL:
post  /sco-invoice-legged-biz/tax/output/save

#### 请求参数:
###### 主信息
|字段|参数名称|是否必须|类型|长度|说明|
|:----    |:---|:----- |:-----|:-----|-----   |
|companyDataResource|数据来源|String|是|36|只能是字母或数字
|draftType|草稿状态|Integer|否|2|0：草稿发票 1：预制发票(不可编辑，只可开票、回退、赋码)若为空，绑定申请单的默认为预制发票
|requisitionApplyNo|第三方开票申请单编号|String|否|96	
|otherId|第三方平台发票唯一标识|String|是|100
|~~callbackUrl~~|第三方回调url地址|String|否|200|此字段不建议使用,建议使用发票查询替换此功能|	
|invoiceTypeCode|发票类型代码|String|是|2|专票：01；普票：04；电子普票票：10; 电子专票08；	
|buyerName|购方名称|String|是|100|中文占2字节	
|buyerTaxId|购方纳税人识别号|String|否|20|	
|buyerAddress|购方地址、电话|String|否|100|中文占2字节	
|buyerBankAndId|购方开户行及账号|String|否|100|中文占2字节	
|note|备注|String|否|212|中文占2字节	
|sellerName|销方名称|String|是|100|中文占2字节	
|sellerTaxId|销方税号|String|是|20	
|sellerAddress|销方地址、电话|String|否|100|中文占2字节	
|sellerBankAndId|销方开户行及账号|String|否|100|中文占2字节	
|totalAmountExcludeTax|合计金额|BigDecimal|是|12/13|小数点后2位
|totalTaxAmount|合计税额|BigDecimal|是|12|小数点后2位
|totalAmountIncludeTax|价税合计|BigDecimal|是|13/14|小数点后2位
|specialInvoiceMark|特殊票种标识|String|否|4|00:非特殊票种 08:成品油销售	
|computeWithTax|含税标识|Integer|否|2|是否含税:0不含税,1含税(若为空视为含税)
|receiveRecipient|收件人|String|否|10
|receiveAddress|收件人地址|String|否|200
|receiveMsgPhone|接收电票下载信息手机号|String|否|12
|receiveMsgEmail|接收电票下载信息邮箱号|String|否|64
|statementCode|对账单编号|String|否|100
|noticeCodeNo|通知单编号|String|否|100
|Lines|明细|list|是||详情见下lines

###### Lines明细信息
|字段|参数名称|是否必须|类型|长度|说明|
|:----    |:---|:----- |:-----|:-----|-----   |
|id|明细编号|String|否|20	
|itemName|商品名称|String|是|92|中文占2字节	
|unit|单位|String|否|14|中文占2字节	
|itemModelName|供应商规格型号|String|否|40|中文占2字节	
|lineAttribute|发票行性质|String|是|2|0:正常行(无折扣), 2:被折扣行(有折扣)
|discount|含税折扣额|BigDecimal|否|12|商品行的具体折扣金额。若当前行是被折扣行，则含税折扣额与不含税折扣额必须至少有一个不为空，取决于含税标识，并且为正数
|lineDiscountExcludeTax|不含税折扣额|BigDecimal|否|12|商品行的具体折扣金额。若当前行是被折扣行，则含税折扣额与不含税折扣额必须至少有一个不为空，取决于含税标识，并且为正数
|taxDiscount|折扣税额|BigDecimal|否|12|商品行折扣的具体税额，小数点后2位，(正数)
|priceExcludeTax|不含税单价|BigDecimal|否|16|小数点后8位。当数量不为空时，含税单价与不含税单价必须至少有一个不为空，且取决于含税标识	
|priceIncludeTax|含税单价|BigDecimal|否|16|小数点后8位。当数量不为空时，含税单价与不含税单价必须至少有一个不为空，且取决于含税标识
|quantity|数量|BigDecimal|否|16|小数点后8位(单价和数量要么同时为空，要么同时不为空)	
|lineAmountExcludeTax|不含税金额|BigDecimal|否|12|小数点后2位。含税金额与不含税金额必须至少有一个不为空，且取决于含税标识	
|lineAmountIncludeTax|含税金额|BigDecimal|否|12|小数点后2位。含税金额与不含税金额必须至少有一个不为空，且取决于含税标识
|taxAmount|税额|BigDecimal|是|12|小数点后2位
|taxRate|税率|BigDecimal|是|12|小数点后3位	
|taxClassificationCode|税收分类编码|String|否|19	
|materialCode|物料编码|String|否|20
|zeroTaxRateFlag|零税率标识|String|否|2|空代表无；1 出口免税和其他免税优惠政策；2 不征增值税；3 普通零税率
|favouredPolicyMark|优惠政策标识|String|否|2|0:未使用，1:使用
|favouredPolicyName|优惠政策名称|String|否|500|中文占2字节
|orderNo|订单编号|String|否|100
|orderLineId|订单行号|String|否|20
|statementCode|对账单编号|String|否|100
|StatementLineId|对账单行号|String|否|20
|noticeCodeNo|通知单编号|String|否|100
|noticeLineId|通知单行号|String|否|20

#### 请求示例:
```
{
        "requisitionApplyNo":"KPTZ202104130005",
        "buyerAddress":"北京市昌平区北***院101楼620室010-58688395",
        "buyerBankAndId":"中国**银行股份有限公司北京广安门支行0200001919200131264",
        "buyerName":"**集团有限公司电子商务中心",
        "buyerTaxId":"91310000631757739B",
        "companyDataResource":"tb",
        "invoiceTypeCode":"01",
        "lines":[
            {
                "lineAttribute":"0",
                "itemName":"笔记本电脑",
                "lineAmountExcludeTax":"4570.80",
                "lineAmountIncludeTax":"5165.00",
                "priceExcludeTax":"4570.80000000",
                "priceIncludeTax":"5165.00000000",
                "quantity":"1.00000000",
                "taxAmount":"594.20",
                "taxClassificationCode":"1090509010000000000",
                "taxRate":"0.13",
                "unit":"台",
                "orderNo": null,
                "orderLineId": null,
                "statementCode": null,
                "statementLineId": null,
                 "noticeCodeNo": null,
                 "noticeLineId": null
            }
        ],
        "otherId":28045669365055408,
        "sellerAddress":"上海市徐汇区**路星联科研楼2幢3-4楼 24081101",
        "sellerBankAndId":"**银行（中国）有限公司上海分行088-296504-011",
        "sellerName":"上海**集团有限司",
        "sellerTaxId":"91310000631757739A",
        "specialInvoiceMark":"00",
        "totalAmountExcludeTax":"4570.80",
        "totalAmountIncludeTax":"5165.00",
        "totalTaxAmount":"594.20",
        "statementCode": null,
        "noticeCodeNo": null,
        "receiveMsgPhone": null,
        "receiveMsgEmail": null,
        "receiveRecipient": null,
        "receiveAddress": null,
        "callbackUrl":"http://172.21.16.149:8158/sco-finance-manage/output/test/testCallBack"
    }
```
#### 返回示例:

**正确时返回:**
```
{
  "body":{
        "requisitionApplyNo":"AAA20210408000001",
        "otherId":"1",
        "invoiceUuid":"9676035b-60b9-4d2b-912e-c1d1793df28f",
        "docId":"ANI20210101010111"
  },
  "ok": true,
  "requestNum": null,
  "status": {
    "description": null,
    "message": null,
    "path": null,
    "returnCode": "200",
    "serviceCode": null,
    "time": null
  }
}
```


**错误时返回:**
```

```

#### 返回参数说明:
|参数名称|类型|是否必填|描述|长度|说明|
|:-----  |:-----|:-----|:-----|:-----|-----|
|ok  |Boolean|是|请求是否处理成功， true表示成功|
|status  ||是|执行状态|详情见下status
|body  ||是|结果|详情见下body

###### status明细信息
|参数名称|类型|是否必填|描述|长度|说明|
|:-----  |:-----|:-----|:-----|:-----|-----|
|description  |String|否|提示信息|
|message  |String|否|提示信息|
|returnCode  ||否|结果代码|
|time  ||否|时间戳|

###### body明细信息
|参数名称|类型|是否必填|描述|长度|说明|
|:-----  |:-----|:-----|:-----|:-----|-----|
|requisitionApplyNo  |String|否|第三方申请单编号|
|otherId  |String|是|第三方唯一标识|
|invoiceUuid  |String|是|平台单据uuid|
|docId  |String|是|平台单据编号|