#### 简要描述：

- 销项发票分页查询

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|无       |王佳田 |2022-04-08|2022-04-08|

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |String |请求类型： application/json   |


#### 请求URL:
/sco-invoice-legged-biz/tax/output/openapi/sellerInvoiceQueryPage

#### 请求参数:

|字段|参数名称|是否必须|类型|长度|说明|
|:----    |:---|:----- |:----- |:-----|-----   |
|buyerName               |购买方公司名称|否|string  |255|                                                                                          
|complianceStatus        |查验合规状态|否|Array[integer]|1| 未较验0、合规1、不合规2、查验中3、待校验4                                                               
|cooperativeStatus       |协同状态：0未发送、1已发送、2已接收、3已接受、4已拒绝|否|Array[string]|1|                                                                 
|createTime              |创建时间|否|string|| UTC格式                                                                                            
|createTimeEnd           |终止创建时间|否|string|| UTC格式                                                                                          
|createTimeStart         |起始创建时间|否|string|| UTC格式                                                                                          
|deliveryStatus          |交付状态( 0 未交付 1 交付中 2 已交付)|否|string|2|                                                                             
|docId                   |单据编号|否|string|100|                                                                                               
|docStatus               |单据状态：DRAFT-草稿；ISSUED-开具；CANCELED-作废；SENT-已发送|否|Array[string]|32|                                                 
|draftType               |草稿类型:0：普通草稿1：预制发票(不可编辑，只可开票、回退、赋码)|否|integer|32|                                                                 
|expressNumber           |快递单号|否|string|30|                                                                                                
|inventoryMark           |清单标志0-无清单 1-带清单|否|string|1|                                                                                      
|invoiceCode             |发票代码|否|string|12|                                                                                                
|invoiceDateEnd          |开票日期(止)|否|date||YYYY-mm-dd HH:mm:ss                                                                              
|invoiceDateStart        |开票日期(起)|否|date|| YYYY-mm-dd HH:mm:ss                                                                             
|invoiceDocUuidList      |发票单据集合|否|Array[string]|| Uuid集合                                                                                  
|invoiceNumber           |发票号码|否|string|8|                                                                                                 
|invoiceTypeCode         |发票类型|否|Array[string]|| ["01","04","08","10"] "01"增值税专用发票  "04"增值税普通发票 "08" 值税专用发票（电票） "10"增值税普通发票(电票)            
|invoiceTypeSign         |电票类型标志 Y 电票 N 纸票|否|string|1|                                                                                     
|mailingStatus           |邮寄状态 (0 未邮寄、1 未发送、2 已邮寄、3 已发送、4 已签收)|否|string||                                                                  
|orderMap                |排序属性，key为要排序的属性名，value为0或1；0：正序；1：倒序|否|Map||                                                                     
|pageNum                 |第几页|是|integer||    默认1                                                                                              
|pageSize                |每页大小|是|integer|2|   默认15                                                                                             
|printStatus             |打印状态("0"未打印 "1"已打印|否|integer|100|                                                                                
|requisitionApplyNo      |申请单编号|否|string|10|                                                                                               
|specialInvoiceMarkList  |成品油标识(08)|否|Array[string]|20,2|特殊票种标识(00:不是,01:农产品销售,02:农产品收购,08:成品油)                                            
|totalAmountExcludeTaxMax|总金额最大值|否|BigDecimal|20,2|                                                                                        
|totalAmountExcludeTaxMin|总金额最小值|否|BigDecimal|20,2|                                                                                        
|totalAmountIncludeTaxMax|价税合计最大值|否|BigDecimal|20,2|                                                                                       
|totalAmountIncludeTaxMin|价税合计最小值|否|BigDecimal|1|                                                                                          
|upload                  |是否上传 0否 1是|否|integer|2000|                                                                                       
|warningMsg              |警告内容|否|Array[string]|11|                                                                                         
|warningStatus           |警告状态|否|Array[integer]|| 警告状态，未较验0、正常1、失败2                                      

#### 请求示例:
```
{
  "buyerName": "",
  "complianceStatus": [
   
  ],
  "cooperativeStatus": [
    
  ],
  "createTime": "",
  "createTimeEnd": "",
  "createTimeStart": "",
  "deliveryStatus": "",
  "docId": "",
  "docStatus": [
    
  ],
  "draftType": 0,
  "expressNumber": "",
  "inventoryMark": "",
  "invoiceCode": "",
  "invoiceDateEnd": "",
  "invoiceDateStart": "",
  "invoiceDocUuidList": [
    
  ],
  "invoiceNumber": "",
  "invoiceTypeCode": [
   
  ],
  "invoiceTypeSign": "",
  "mailingStatus": "",
  "orderMap": {},
  "pageNum": 1,
  "pageSize": 15,
  "printStatus": 0,
  "requisitionApplyNo": "",
  "specialInvoiceMarkList": [
    
  ],
  "upload": 0,
  "warningMsg": [
    
  ],
  "warningStatus": [
    
  ]
}
```
#### 返回示例:

**正确时返回:**
```
{
  "body": {
    "brotherAndSelfTotal": 0,
    "docFlag": "0",
    "documentInfo": {},
    "documentTotal": 0,
    "list": {
      "items": [
        {
          "adverseDid": null,
          "buyerName": "XX开票测试科技有限公司",
          "buyerTaxId": "XX5001006220997PX5",
          "companyDataResource": null,
          "companyId": "62b03222-54ec-4c65-af5f-55049445ff1f",
          "companyName": "91110101201912260A",
          "complianceFail": null,
          "complianceStatus": 1,
          "cooperativeStatus": null,
          "createTime": "2021-03-31T17:23:28",
          "deliveryStatus": "0",
          "deviceNum": null,
          "docComplianceFail": "",
          "docComplianceStatus": 1,
          "docId": "INV20210331000010",
          "docStatus": "ISSUED",
          "draftType": 0,
          "enteringType": 9,
          "expressCompanyCode": null,
          "expressNumber": null,
          "extractionCode": "",
          "id": 2208,
          "imageOfdPath": null,
          "imagePath": null,
          "imagePdfPath": null,
          "inventoryMark": "0",
          "invoiceCode": "5000181530",
          "invoiceDate": "2021-03-29T00:00:00",
          "invoiceNumber": "10902413",
          "invoiceParityCode": "",
          "invoiceTypeCode": "01",
          "invoiceUuid": "abc8605f-f5c8-4c3a-b5bd-f3e7203d0f94",
          "lineCounter": 6,
          "mailingStatus": "0",
          "nationalDownloadUrl": null,
          "noticeCodeNo": null,
          "onSplit": 0,
          "otherId": null,
          "printStatus": null,
          "receiveAddress": null,
          "receiveMsgEmail": null,
          "receiveMsgPhone": null,
          "receiveRecipient": null,
          "relationReconciliationList": null,
          "relationRedStatus": 0,
          "requisitionApplyNo": null,
          "specialInvoiceMark": "00",
          "statementCode": null,
          "taxStatus": "0",
          "tempInvoiceCode": null,
          "tempInvoiceNumber": null,
          "toPhoneNumber": null,
          "totalAmountExcludeTax": "17669.55",
          "totalAmountIncludeTax": "19206.99",
          "upload": 0,
          "warningFail": "",
          "warningStatus": 1
        }
      ],
      "pageMeta": {
        "pageNum": 1,
        "pageSize": 15,
        "pages": 1,
        "total": 1
      }
    },
    "refDocInfo": null
  },
  "ok": true,
  "requestNum": null,
  "status": {
    "description": null,
    "message": null,
    "path": null,
    "returnCode": "200",
    "serviceCode": null,
    "time": null
  }
}
```


**错误时返回:**
```

```

#### 返回参数说明:
|参数名称|类型|是否必填|描述|长度|说明|
|:----    |:---|:----- |:----- |:-----|-----   |
|ok	|Boolean|	是|	操作状态|	|4	|true: 执行成功。 false：执行失败
|status	|	|是	|执行状态|	|	|执行状态
|description	|	|否	|详细描述	|	|错误描述
|message	|String	|否	|提示信息	|	|
|returnCode	|	|是	|结果代码|	|	|
|time	|	|是	|时间戳|	|	|
|body	|数组	|是	|结果详情|		|详情见下body
|list
|items
|requisitionApplyNo	|String	|否	|开票申请单编号	|	|
|invoiceUuid	|String	|是	|单据UUID|	|	|
|otherId	|String	|否	|第三方平台主键	|	|
|id	|String	|否	|单据编号	|	|
|companyDataResource	|String	|否	|数据来源	|	|
|buyerName	|String	|是	|购方名称	|	|
|buyerTaxId	|String	|否	|购方税号	|	|
|invoiceTypeCode	|String|	是	|发票类型代码|		专票：01； 普票：04 ；电子普票票：10;  电子专票08；
|invoiceCode	|String	|否	|发票代码	|	|
|invoiceNumber	|String	|否	|开票号码	|	|
|docStatus	|String	|是	|发票状态|		|DRAFT-草稿 ISSUED-开具 CANCELED-作废 SENT-已发送; 
|specialInvoiceMark	|String|否	|特殊票种标识|		|00:非特殊票种 08:成品油销售
|totalAmountExcludeTax	|BigDecimal|	是	|发票金额|	12/13|	小数点后2位
|totalAmountIncludeTax	|BigDecimal|	是	|价税合计|	13/14|	小数点后2位
|receiveRecipient|String|否	|收件人	|10|	|
|receiveAddress	|String|否	|收件人地址|200|	|
|receiveMsgEmail	|String|	否	|接收电票下载信息邮箱号	|11	|
|receiveMsgPhone	|String	|否	|接收电票下载信息手机号	|	|
|statementCode	|String	|否	|对账单编号	|100	|
|noticeCodeNo	|String	|否	|通知单编号|	100	|
|adverseDid	|String	|否	|对方的did|	100	|
|companyId	|String	|是	|销方公司ID|	36	|
|companyName	|String	|是	|销方公司名称|100|	|
|complianceFail	|String	|否	|警告原因|2000|	|
|complianceStatus	|int	|是|	警告状态，未较验0、正常1、失败2	|11	|
|cooperativeStatus	|String	|否	|协同状态：0未发送、1已发送、2已接收、3已接受、4已拒绝、5已退票'|2	|
|createTime	|LocalDateTime	|是|	|||创建时间|	|
|deliveryStatus	|String	|是	|交付状态	|2|	( "0" 未交付  "1" 交付中  "2" 已交付)'
|deviceNum	|String	|否	|设备编号	|128	|
|docComplianceFail	|String|	否	|设备编号|2000	|
|docComplianceStatus	|Int|	否	|单据合规状态，未较验0、正常1、失败2|11|	|
|docId	|String	|否	|单据编号	|100|	|
|draftType	|Int	|否	|单据类型	|2|	0：普通草稿 1：预制发票
|enteringType	|String	|否	|录入方式 1:手工 2:扫描枪 3:影像 4:扫描仪 5:Excel 9:税盘'|	11	|
|expressCompanyCode	|String|	否	|快递公司代码|	50	|
|expressNumber	|String|	否	|快递单号	|30	|
|extractionCode	|String|	否	|提取码	|100|	|
|imageOfdPath	|String|	否|	ofd文件地址	|255|	|
|imagePath	|String	|否	|文件地址|	255|	|
|imagePdfPath	|String	|否	|pdf文件地址|	255	|
|inventoryMark	|String	|否	|清单标志0-无清单 1-带清单|	1	|
|invoiceDate	|datetime|	是|	开票日期|	|	|
|invoiceParityCode	|String	|否	|校验码|	128|	|
|lineCounter	|Int|	否	|行数	|10	|
|mailingStatus	|String	|否	|邮寄状态 ("0" 未邮寄、"1"  未发送、"2"  已邮寄、"3" 已发送、"4 " 已签收)|	2	|
|nationalDownloadUrl	|String|	否	|国税下载地址	|255|	|
|onSplit	|Int	|否|	是否在拆分中: 不是0，是1|2	|	|
|printStatus	|tinyint|	否	|打印状态("0"未打印 “1”已打印)|2	|	|
|relationReconciliationList	|String	|否	|关联对账单号集合	|	|
|relationRedStatus	|String	|否	|是否关联红票 0否 ， 1是|2	|	|标志
|taxStatus	|Int	|否	|国税状态、正常0、失控1、作废2、红冲3、异常4|	10	|
|tempInvoiceCode	|String	|否	|临时发票代码	|12	|
|tempInvoiceNumber	|String	|否	|临时发票号码|8	|
|toPhoneNumber	|String	|否	|收件人手机号后4位|	11|	|
|upload	|Int|	否	|是否开具的发票已上传 0 否 1是	|5|	|
|warningFail	|String	|否	|警告原因|	2000	|
|warningStatus	|Int	|否	|警告状态，未较验0、正常1、失败2|	11|	|
|pageMeta
||pageNum
||pageSize
||pages
||total